# Constraints file : timing constraints for synthesis with Synplicity

# expand buses in the netlist to scalars
define_global_attribute syn_noarrayports {1}

# specifiy format for edif file
define_global_attribute syn_edif_bit_format {%n<%i>}
define_global_attribute syn_edif_scalar_format {%n}

define_global_attribute syn_global_buffers 12

# set up clock constraints
define_clock -name {extClk}    -freq 48.0 -clockgroup sys_group

# define default delays
define_input_delay              -default     10.00
define_output_delay             -default      9.00

# define delay exceptions

# define false paths
define_false_path              -from {pbRstN}
define_false_path              -from {poRstN}
define_false_path              -from {p:switchIn*}
define_false_path              -from {rs232Arx}
define_false_path              -to   {procRstN}
define_false_path              -to   {flashRstN}
define_false_path              -to   {p:ledOut*}
define_false_path              -to   {rs232Atx}


