----------------------------------------------------------------------
-- Created by Actel CoreConsole - Fri Jan 25 14:01:23 2008
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is

    constant SYSCLK_PERIOD : time := 100 ns;

    -- Component to test
    component ccTop
        -- Port list
        port(
            -- Inputs
            DDGDON_DDGDON0 : in std_logic;
            DDGDON_DDGDON1 : in std_logic;
            DDGDON_DDGDON2 : in std_logic;
            DDGDON_DDGDON3 : in std_logic;
            DDGDON_DDGDON4 : in std_logic;
            DDGDON_DDGDON5 : in std_logic;
            DDGDON_DDGDON6 : in std_logic;
            DDGDON_DDGDON7 : in std_logic;
            DDGDON_DDGDON8 : in std_logic;
            DDGDON_DDGDON9 : in std_logic;
            NSYSRESET : in std_logic;
            RTC_RTCCLK : in std_logic;
            RX : in std_logic;
            RemapDefault : in std_logic;
            SYSCLK : in std_logic;
            UJTAG_UJTAG_TCK : in std_logic;
            UJTAG_UJTAG_TDI : in std_logic;
            UJTAG_UJTAG_TMS : in std_logic;
            UJTAG_UJTAG_TRSTB : in std_logic;
            analog_signals_AC0 : in std_logic;
            analog_signals_AC1 : in std_logic;
            analog_signals_AC2 : in std_logic;
            analog_signals_AC3 : in std_logic;
            analog_signals_AC4 : in std_logic;
            analog_signals_AC5 : in std_logic;
            analog_signals_AC6 : in std_logic;
            analog_signals_AC7 : in std_logic;
            analog_signals_AC8 : in std_logic;
            analog_signals_AC9 : in std_logic;
            analog_signals_AT0 : in std_logic;
            analog_signals_AT1 : in std_logic;
            analog_signals_AT2 : in std_logic;
            analog_signals_AT3 : in std_logic;
            analog_signals_AT4 : in std_logic;
            analog_signals_AT5 : in std_logic;
            analog_signals_AT6 : in std_logic;
            analog_signals_AT7 : in std_logic;
            analog_signals_AT8 : in std_logic;
            analog_signals_AT9 : in std_logic;
            analog_signals_ATRETURN0 : in std_logic;
            analog_signals_ATRETURN1 : in std_logic;
            analog_signals_ATRETURN2 : in std_logic;
            analog_signals_ATRETURN3 : in std_logic;
            analog_signals_ATRETURN4 : in std_logic;
            analog_signals_AV0 : in std_logic;
            analog_signals_AV1 : in std_logic;
            analog_signals_AV2 : in std_logic;
            analog_signals_AV3 : in std_logic;
            analog_signals_AV4 : in std_logic;
            analog_signals_AV5 : in std_logic;
            analog_signals_AV6 : in std_logic;
            analog_signals_AV7 : in std_logic;
            analog_signals_AV8 : in std_logic;
            analog_signals_AV9 : in std_logic;
            analog_signals_GNDREF : in std_logic;
            dataIn : in std_logic_vector(31 downto 0);
            dataIn_01 : in std_logic_vector(14 downto 0);
            -- Outputs
            DACOUT_DACOUT0 : out std_logic;
            DACOUT_DACOUT1 : out std_logic;
            DACOUT_DACOUT2 : out std_logic;
            DACOUT_DACOUT3 : out std_logic;
            DACOUT_DACOUT4 : out std_logic;
            DACOUT_DACOUT5 : out std_logic;
            DACOUT_DACOUT6 : out std_logic;
            DACOUT_DACOUT7 : out std_logic;
            DACOUT_DACOUT8 : out std_logic;
            DACOUT_DACOUT9 : out std_logic;
            DATOUT_DATOUT0 : out std_logic;
            DATOUT_DATOUT1 : out std_logic;
            DATOUT_DATOUT2 : out std_logic;
            DATOUT_DATOUT3 : out std_logic;
            DATOUT_DATOUT4 : out std_logic;
            DATOUT_DATOUT5 : out std_logic;
            DATOUT_DATOUT6 : out std_logic;
            DATOUT_DATOUT7 : out std_logic;
            DATOUT_DATOUT8 : out std_logic;
            DATOUT_DATOUT9 : out std_logic;
            DAVOUT_DAVOUT0 : out std_logic;
            DAVOUT_DAVOUT1 : out std_logic;
            DAVOUT_DAVOUT2 : out std_logic;
            DAVOUT_DAVOUT3 : out std_logic;
            DAVOUT_DAVOUT4 : out std_logic;
            DAVOUT_DAVOUT5 : out std_logic;
            DAVOUT_DAVOUT6 : out std_logic;
            DAVOUT_DAVOUT7 : out std_logic;
            DAVOUT_DAVOUT8 : out std_logic;
            DAVOUT_DAVOUT9 : out std_logic;
            ExternalMemoryInterface_FlashCSN : out std_logic;
            ExternalMemoryInterface_FlashOEnN : out std_logic;
            ExternalMemoryInterface_FlashWEnN : out std_logic;
            ExternalMemoryInterface_MemAddr : out std_logic_vector(27 downto 0);
            ExternalMemoryInterface_MemReadN : out std_logic;
            ExternalMemoryInterface_MemWriteN : out std_logic;
            ExternalMemoryInterface_SramByteN : out std_logic_vector(3 downto 0);
            ExternalMemoryInterface_SramCSN : out std_logic;
            ExternalMemoryInterface_SramClk : out std_logic;
            ExternalMemoryInterface_SramOEnN : out std_logic;
            ExternalMemoryInterface_SramWEnN : out std_logic;
            FIQ : out std_logic;
            IRQ : out std_logic;
            PWM : out std_logic_vector(8 downto 1);
            RTC_RTCMATCH : out std_logic;
            RTC_RTCPSMMATCH : out std_logic;
            RTC_RTCXTLMODE0 : out std_logic;
            RTC_RTCXTLMODE1 : out std_logic;
            RTC_RTCXTLSEL : out std_logic;
            TX : out std_logic;
            UJTAG_UJTAG_TDO : out std_logic;
            analog_signals_AG0 : out std_logic;
            analog_signals_AG1 : out std_logic;
            analog_signals_AG2 : out std_logic;
            analog_signals_AG3 : out std_logic;
            analog_signals_AG4 : out std_logic;
            analog_signals_AG5 : out std_logic;
            analog_signals_AG6 : out std_logic;
            analog_signals_AG7 : out std_logic;
            analog_signals_AG8 : out std_logic;
            analog_signals_AG9 : out std_logic;
            dataOut : out std_logic_vector(31 downto 0);
            dataOut_01 : out std_logic_vector(14 downto 0);
            -- Inouts
            ExternalMemoryInterface_MemData : inout std_logic_vector(31 downto 0);
            analog_signals_VAREF : inout std_logic
        );
    end component;

    signal SYSCLK    : std_logic := '0';
    signal NSYSRESET : std_logic;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE; 

    begin
        if (vhdl_initial) then
            -- Assert system reset
            NSYSRESET <= '0';
            wait for (SYSCLK_PERIOD * 4);

            -- Release system reset
            NSYSRESET <= '1';
            wait;
        else
            wait;
        end if; 
    end process;

    -- SYSCLK signal
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2);

    -- Instantiate module to test

    ccTop_0 : ccTop
        -- Port map
        port map(
            -- Inputs
            DDGDON_DDGDON0 => '0',
            DDGDON_DDGDON1 => '0',
            DDGDON_DDGDON2 => '0',
            DDGDON_DDGDON3 => '0',
            DDGDON_DDGDON4 => '0',
            DDGDON_DDGDON5 => '0',
            DDGDON_DDGDON6 => '0',
            DDGDON_DDGDON7 => '0',
            DDGDON_DDGDON8 => '0',
            DDGDON_DDGDON9 => '0',
            NSYSRESET => NSYSRESET,
            RTC_RTCCLK => '0',
            RX => '0',
            RemapDefault => '0',
            SYSCLK => SYSCLK,
            UJTAG_UJTAG_TCK => '0',
            UJTAG_UJTAG_TDI => '0',
            UJTAG_UJTAG_TMS => '0',
            UJTAG_UJTAG_TRSTB => '0',
            analog_signals_AC0 => '0',
            analog_signals_AC1 => '0',
            analog_signals_AC2 => '0',
            analog_signals_AC3 => '0',
            analog_signals_AC4 => '0',
            analog_signals_AC5 => '0',
            analog_signals_AC6 => '0',
            analog_signals_AC7 => '0',
            analog_signals_AC8 => '0',
            analog_signals_AC9 => '0',
            analog_signals_AT0 => '0',
            analog_signals_AT1 => '0',
            analog_signals_AT2 => '0',
            analog_signals_AT3 => '0',
            analog_signals_AT4 => '0',
            analog_signals_AT5 => '0',
            analog_signals_AT6 => '0',
            analog_signals_AT7 => '0',
            analog_signals_AT8 => '0',
            analog_signals_AT9 => '0',
            analog_signals_ATRETURN0 => '0',
            analog_signals_ATRETURN1 => '0',
            analog_signals_ATRETURN2 => '0',
            analog_signals_ATRETURN3 => '0',
            analog_signals_ATRETURN4 => '0',
            analog_signals_AV0 => '0',
            analog_signals_AV1 => '0',
            analog_signals_AV2 => '0',
            analog_signals_AV3 => '0',
            analog_signals_AV4 => '0',
            analog_signals_AV5 => '0',
            analog_signals_AV6 => '0',
            analog_signals_AV7 => '0',
            analog_signals_AV8 => '0',
            analog_signals_AV9 => '0',
            analog_signals_GNDREF => '0',
            dataIn => (others => '0'),
            dataIn_01 => (others => '0'),
            -- Outputs
            DACOUT_DACOUT0 => open,
            DACOUT_DACOUT1 => open,
            DACOUT_DACOUT2 => open,
            DACOUT_DACOUT3 => open,
            DACOUT_DACOUT4 => open,
            DACOUT_DACOUT5 => open,
            DACOUT_DACOUT6 => open,
            DACOUT_DACOUT7 => open,
            DACOUT_DACOUT8 => open,
            DACOUT_DACOUT9 => open,
            DATOUT_DATOUT0 => open,
            DATOUT_DATOUT1 => open,
            DATOUT_DATOUT2 => open,
            DATOUT_DATOUT3 => open,
            DATOUT_DATOUT4 => open,
            DATOUT_DATOUT5 => open,
            DATOUT_DATOUT6 => open,
            DATOUT_DATOUT7 => open,
            DATOUT_DATOUT8 => open,
            DATOUT_DATOUT9 => open,
            DAVOUT_DAVOUT0 => open,
            DAVOUT_DAVOUT1 => open,
            DAVOUT_DAVOUT2 => open,
            DAVOUT_DAVOUT3 => open,
            DAVOUT_DAVOUT4 => open,
            DAVOUT_DAVOUT5 => open,
            DAVOUT_DAVOUT6 => open,
            DAVOUT_DAVOUT7 => open,
            DAVOUT_DAVOUT8 => open,
            DAVOUT_DAVOUT9 => open,
            ExternalMemoryInterface_FlashCSN => open,
            ExternalMemoryInterface_FlashOEnN => open,
            ExternalMemoryInterface_FlashWEnN => open,
            ExternalMemoryInterface_MemAddr => open,
            ExternalMemoryInterface_MemReadN => open,
            ExternalMemoryInterface_MemWriteN => open,
            ExternalMemoryInterface_SramByteN => open,
            ExternalMemoryInterface_SramCSN => open,
            ExternalMemoryInterface_SramClk => open,
            ExternalMemoryInterface_SramOEnN => open,
            ExternalMemoryInterface_SramWEnN => open,
            FIQ => open,
            IRQ => open,
            PWM => open,
            RTC_RTCMATCH => open,
            RTC_RTCPSMMATCH => open,
            RTC_RTCXTLMODE0 => open,
            RTC_RTCXTLMODE1 => open,
            RTC_RTCXTLSEL => open,
            TX => open,
            UJTAG_UJTAG_TDO => open,
            analog_signals_AG0 => open,
            analog_signals_AG1 => open,
            analog_signals_AG2 => open,
            analog_signals_AG3 => open,
            analog_signals_AG4 => open,
            analog_signals_AG5 => open,
            analog_signals_AG6 => open,
            analog_signals_AG7 => open,
            analog_signals_AG8 => open,
            analog_signals_AG9 => open,
            dataOut => open,
            dataOut_01 => open,
            -- Inouts
            ExternalMemoryInterface_MemData => open,
            analog_signals_VAREF => open
        );

end behavioral;
