module CortexM1Integration(HCLK, SYSRESETn, IRQ, NMI, DBGRESETn, EDBGRQ, nTRST, SWCLKTCK, SWDITMS, TDI, JTAGNSW, JTAGTOP, TDO, nTDOEN, SWDO, SWDOEN, LOCKUP, HALTED, SYSRESETREQ, HREADY, HRESP, HRDATA, HTRANS, HBURST, HPROT, HSIZE, HWRITE, HMASTLOCK, HADDR, HWDATA, tcmInitWriteEnable, tcmInitAddr, tcmInitWriteData)

/* synthesis syn_black_box

pragma attribute CortexM1Integration syn_tco0 SWCLKTCK->JTAGNSW+8.29584
pragma attribute CortexM1Integration syn_tco1 SWCLKTCK->JTAGTOP+8.32944
pragma attribute CortexM1Integration syn_tco2 SWCLKTCK->TDO+1.90512
pragma attribute CortexM1Integration syn_tco3 SWCLKTCK->nTDOEN+1.17936
pragma attribute CortexM1Integration syn_tco4 SWCLKTCK->SWDO+2.42088
pragma attribute CortexM1Integration syn_tco5 SWCLKTCK->SWDOEN+6.0564
pragma attribute CortexM1Integration syn_tco6 HCLK->LOCKUP+3.0843144
pragma attribute CortexM1Integration syn_tco7 HCLK->HALTED+3.3870896
pragma attribute CortexM1Integration syn_tco8 HCLK->SYSRESETREQ+1.8399416
pragma attribute CortexM1Integration syn_tco9 HCLK->HTRANS[1:0]+8.0984048
pragma attribute CortexM1Integration syn_tco10 HCLK->HBURST[2:0]+10.7002752
pragma attribute CortexM1Integration syn_tco11 HCLK->HPROT[3:0]+5.6845212
pragma attribute CortexM1Integration syn_tco12 HCLK->HSIZE[2:0]+5.8791624
pragma attribute CortexM1Integration syn_tco13 HCLK->HWRITE+5.8259272
pragma attribute CortexM1Integration syn_tco14 HCLK->HMASTLOCK+6.3915512
pragma attribute CortexM1Integration syn_tco15 HCLK->HADDR[31:0]+6.5728836
pragma attribute CortexM1Integration syn_tco16 HCLK->HWDATA[31:0]+3.6199936
pragma attribute CortexM1Integration syn_tsu0 SYSRESETn->HCLK+0.2811484
pragma attribute CortexM1Integration syn_tsu1 IRQ[31:0]->HCLK+4.8194492
pragma attribute CortexM1Integration syn_tsu2 NMI->HCLK+3.934414
pragma attribute CortexM1Integration syn_tsu3 DBGRESETn->HCLK+0.2561944
pragma attribute CortexM1Integration syn_tsu4 DBGRESETn->SWCLKTCK+0.168
pragma attribute CortexM1Integration syn_tsu5 EDBGRQ->HCLK+1.7234896
pragma attribute CortexM1Integration syn_tsu6 nTRST->SWCLKTCK+3.06936
pragma attribute CortexM1Integration syn_tsu7 SWDITMS->SWCLKTCK+9.5004
pragma attribute CortexM1Integration syn_tsu8 TDI->SWCLKTCK+2.23944
pragma attribute CortexM1Integration syn_tsu9 HREADY->HCLK+7.5011724
pragma attribute CortexM1Integration syn_tsu10 HRESP->HCLK+6.7392436
pragma attribute CortexM1Integration syn_tsu11 HRDATA[31:0]->HCLK+4.9608552
pragma attribute CortexM1Integration syn_tsu12 tcmInitWriteEnable->HCLK+0
pragma attribute CortexM1Integration syn_tsu13 tcmInitAddr[19:2]->HCLK+0
pragma attribute CortexM1Integration syn_tsu14 tcmInitWriteData[31:0]->HCLK+0

syn_scaletiming = "actel_blackbox_scaling"
syn_resources = "corecells = 9210 , rams = 4 , plls = 0 , fifos = 0 , global_clocks = 3 , quadrant_clocks = 0 "

*/;
input HCLK;
input SYSRESETn;
input [31:0] IRQ;
input NMI;
input DBGRESETn;
input EDBGRQ;
input nTRST;
input SWCLKTCK;
input SWDITMS;
input TDI;
output JTAGNSW;
output JTAGTOP;
output TDO;
output nTDOEN;
output SWDO;
output SWDOEN;
output LOCKUP;
output HALTED;
output SYSRESETREQ;
input HREADY;
input HRESP;
input [31:0] HRDATA;
output [1:0] HTRANS;
output [2:0] HBURST;
output [3:0] HPROT;
output [2:0] HSIZE;
output HWRITE;
output HMASTLOCK;
output [31:0] HADDR;
output [31:0] HWDATA;
input tcmInitWriteEnable;
input [19:2] tcmInitAddr;
input [31:0] tcmInitWriteData;

endmodule
