`timescale 1ns/10ps
module
CortexM1Top
(
HCLK
,
NSYSRESET
,
HRESETn
,
WDOGRES
,
WDOGRESn
,
LOCKUP
,
HALTED
,
NMI
,
IRQ31
,
IRQ30
,
IRQ29
,
IRQ28
,
IRQ27
,
IRQ26
,
IRQ25
,
IRQ24
,
IRQ23
,
IRQ22
,
IRQ21
,
IRQ20
,
IRQ19
,
IRQ18
,
IRQ17
,
IRQ16
,
IRQ15
,
IRQ14
,
IRQ13
,
IRQ12
,
IRQ11
,
IRQ10
,
IRQ9
,
IRQ8
,
IRQ7
,
IRQ6
,
IRQ5
,
IRQ4
,
IRQ3
,
IRQ2
,
IRQ1
,
IRQ0
,
HADDR
,
HBURST
,
HPROT
,
HRDATA
,
HREADY
,
HRESP
,
HSIZE
,
HTRANS
,
HWDATA
,
HWRITE
,
HMASTLOCK
,
EDBGRQ
,
JTAGTOP
,
RV_TCK
,
RV_RTCK
,
RV_nTRST
,
RV_nSRST_IN
,
RV_TMS
,
RV_TDI
,
RV_TDOUT
,
RV_nTDOEN
,
UJTAG_TCK
,
UJTAG_TRSTB
,
UJTAG_TMS
,
UJTAG_TDI
,
UJTAG_TDO
)
;
parameter
DEBUG
=
2
;
input
HCLK
;
input
NSYSRESET
;
output
HRESETn
;
input
WDOGRES
;
output
WDOGRESn
;
output
LOCKUP
;
output
HALTED
;
input
NMI
;
input
IRQ31
;
input
IRQ30
;
input
IRQ29
;
input
IRQ28
;
input
IRQ27
;
input
IRQ26
;
input
IRQ25
;
input
IRQ24
;
input
IRQ23
;
input
IRQ22
;
input
IRQ21
;
input
IRQ20
;
input
IRQ19
;
input
IRQ18
;
input
IRQ17
;
input
IRQ16
;
input
IRQ15
;
input
IRQ14
;
input
IRQ13
;
input
IRQ12
;
input
IRQ11
;
input
IRQ10
;
input
IRQ9
;
input
IRQ8
;
input
IRQ7
;
input
IRQ6
;
input
IRQ5
;
input
IRQ4
;
input
IRQ3
;
input
IRQ2
;
input
IRQ1
;
input
IRQ0
;
output
[
31
:
0
]
HADDR
;
output
[
2
:
0
]
HBURST
;
output
[
3
:
0
]
HPROT
;
input
[
31
:
0
]
HRDATA
;
input
HREADY
;
input
[
1
:
0
]
HRESP
;
output
[
2
:
0
]
HSIZE
;
output
[
1
:
0
]
HTRANS
;
output
[
31
:
0
]
HWDATA
;
output
HWRITE
;
output
HMASTLOCK
;
input
EDBGRQ
;
output
JTAGTOP
;
input
RV_TCK
;
output
RV_RTCK
;
input
RV_nTRST
;
input
RV_nSRST_IN
;
input
RV_TMS
;
input
RV_TDI
;
output
RV_TDOUT
;
output
RV_nTDOEN
;
input
UJTAG_TCK
;
input
UJTAG_TRSTB
;
input
UJTAG_TMS
;
input
UJTAG_TDI
;
output
UJTAG_TDO
;
wire
SYSRESETREQ
;
wire
CortexM1Top_O
;
wire
CortexM1Top_I
;
wire
HRESETn
;
wire
CortexM1Top_l
;
wire
DBGRESETn
;
wire
CortexM1Top_OI
;
wire
TCK
;
wire
nTRST
;
wire
TMS
;
wire
TDI
;
wire
TDO
;
wire
nTDOEN
;
wire
[
31
:
0
]
IRQ
;
assign
IRQ
=
{
IRQ31
,
IRQ30
,
IRQ29
,
IRQ28
,
IRQ27
,
IRQ26
,
IRQ25
,
IRQ24
,
IRQ23
,
IRQ22
,
IRQ21
,
IRQ20
,
IRQ19
,
IRQ18
,
IRQ17
,
IRQ16
,
IRQ15
,
IRQ14
,
IRQ13
,
IRQ12
,
IRQ11
,
IRQ10
,
IRQ9
,
IRQ8
,
IRQ7
,
IRQ6
,
IRQ5
,
IRQ4
,
IRQ3
,
IRQ2
,
IRQ1
,
IRQ0
}
;
CLKINT
CortexM1Top_II
(
.A
(
CortexM1Top_O
)
,
.Y
(
CortexM1Top_I
)
)
;
generate
if
(
DEBUG
==
0
)
begin
assign
DBGRESETn
=
1
'b
1
;
assign
CortexM1Top_OI
=
1
'b
0
;
end
else
begin
CLKINT
CortexM1Top_lI
(
.A
(
CortexM1Top_l
)
,
.Y
(
DBGRESETn
)
)
;
assign
CortexM1Top_OI
=
EDBGRQ
;
end
endgenerate
assign
HRESETn
=
CortexM1Top_I
;
CortexM1Integration
CortexM1Top_Ol
(
.HCLK
(
HCLK
)
,
.DBGRESETn
(
DBGRESETn
)
,
.SYSRESETn
(
CortexM1Top_I
)
,
.LOCKUP
(
LOCKUP
)
,
.HALTED
(
HALTED
)
,
.SYSRESETREQ
(
SYSRESETREQ
)
,
.EDBGRQ
(
CortexM1Top_OI
)
,
.IRQ
(
IRQ
)
,
.NMI
(
NMI
)
,
.HADDR
(
HADDR
)
,
.HBURST
(
HBURST
)
,
.HPROT
(
HPROT
)
,
.HRDATA
(
HRDATA
)
,
.HREADY
(
HREADY
)
,
.HRESP
(
HRESP
[
0
]
)
,
.HSIZE
(
HSIZE
)
,
.HTRANS
(
HTRANS
)
,
.HWDATA
(
HWDATA
)
,
.HWRITE
(
HWRITE
)
,
.HMASTLOCK
(
HMASTLOCK
)
,
.SWDO
(
)
,
.SWDOEN
(
)
,
.TDO
(
TDO
)
,
.nTDOEN
(
nTDOEN
)
,
.JTAGNSW
(
)
,
.JTAGTOP
(
JTAGTOP
)
,
.nTRST
(
nTRST
)
,
.SWCLKTCK
(
TCK
)
,
.SWDITMS
(
TMS
)
,
.TDI
(
TDI
)
,
.tcmInitWriteEnable
(
1
'b
0
)
,
.tcmInitAddr
(
18
'b
0
)
,
.tcmInitWriteData
(
32
'b
0
)
)
;
CortexM1Top_Il
#
(
.DEBUG
(
DEBUG
)
)
CortexM1Top_ll
(
.HCLK
(
HCLK
)
,
.NSYSRESET
(
NSYSRESET
)
,
.SYSRESETREQ
(
SYSRESETREQ
)
,
.DBGRESETn
(
CortexM1Top_l
)
,
.HRESETn
(
CortexM1Top_O
)
,
.WDOGRES
(
WDOGRES
)
,
.WDOGRESn
(
WDOGRESn
)
,
.RV_TCK
(
RV_TCK
)
,
.RV_RTCK
(
RV_RTCK
)
,
.RV_nTRST
(
RV_nTRST
)
,
.RV_nSRST_IN
(
RV_nSRST_IN
)
,
.RV_TMS
(
RV_TMS
)
,
.RV_TDI
(
RV_TDI
)
,
.RV_TDOUT
(
RV_TDOUT
)
,
.RV_nTDOEN
(
RV_nTDOEN
)
,
.UJTAG_TCK
(
UJTAG_TCK
)
,
.UJTAG_TRSTB
(
UJTAG_TRSTB
)
,
.UJTAG_TMS
(
UJTAG_TMS
)
,
.UJTAG_TDI
(
UJTAG_TDI
)
,
.UJTAG_TDO
(
UJTAG_TDO
)
,
.TCK
(
TCK
)
,
.nTRST
(
nTRST
)
,
.TMS
(
TMS
)
,
.TDI
(
TDI
)
,
.TDO
(
TDO
)
,
.nTDOEN
(
nTDOEN
)
)
;
endmodule
