`timescale 1ns/10ps
module
CortexM1Top_Il
(
HCLK
,
NSYSRESET
,
SYSRESETREQ
,
DBGRESETn
,
HRESETn
,
WDOGRES
,
WDOGRESn
,
RV_TCK
,
RV_RTCK
,
RV_nTRST
,
RV_nSRST_IN
,
RV_TMS
,
RV_TDI
,
RV_TDOUT
,
RV_nTDOEN
,
UJTAG_TCK
,
UJTAG_TRSTB
,
UJTAG_TMS
,
UJTAG_TDI
,
UJTAG_TDO
,
TCK
,
nTRST
,
TMS
,
TDI
,
TDO
,
nTDOEN
)
;
parameter
DEBUG
=
2
;
localparam
CortexM1Top_O0
=
8
'h
33
;
input
HCLK
;
input
NSYSRESET
;
input
SYSRESETREQ
;
output
DBGRESETn
;
output
HRESETn
;
input
WDOGRES
;
output
WDOGRESn
;
input
RV_TCK
;
output
RV_RTCK
;
input
RV_nTRST
;
input
RV_nSRST_IN
;
input
RV_TMS
;
input
RV_TDI
;
output
RV_TDOUT
;
output
RV_nTDOEN
;
input
UJTAG_TCK
;
input
UJTAG_TRSTB
;
input
UJTAG_TMS
;
input
UJTAG_TDI
;
output
UJTAG_TDO
;
output
TCK
;
output
nTRST
;
output
TMS
;
output
TDI
;
input
TDO
;
input
nTDOEN
;
reg
CortexM1Top_I0
;
reg
CortexM1Top_l0
;
reg
CortexM1Top_O1
;
reg
CortexM1Top_I1
;
reg
CortexM1Top_l1
;
reg
CortexM1Top_OOI
;
reg
CortexM1Top_IOI
;
reg
CortexM1Top_lOI
;
reg
HRESETn
;
reg
WDOGRESn
;
reg
DBGRESETn
;
reg
CortexM1Top_OII
;
reg
TMS
;
reg
TDI
;
wire
nTRST
;
wire
CortexM1Top_III
;
wire
CortexM1Top_lII
;
wire
[
7
:
0
]
CortexM1Top_OlI
;
wire
CortexM1Top_IlI
;
wire
CortexM1Top_llI
;
wire
CortexM1Top_O0I
;
wire
CortexM1Top_I0I
;
wire
CortexM1Top_l0I
;
wire
CortexM1Top_O1I
;
wire
CortexM1Top_I1I
;
wire
CortexM1Top_l1I
;
wire
CortexM1Top_OOl
;
wire
CortexM1Top_IOl
;
wire
CortexM1Top_lOl
;
wire
CortexM1Top_OIl
;
wire
[
3
:
0
]
CortexM1Top_IIl
;
wire
[
3
:
0
]
CortexM1Top_lIl
;
wire
CortexM1Top_Oll
;
wire
CortexM1Top_Ill
;
wire
CortexM1Top_lll
;
wire
CortexM1Top_O0l
;
wire
CortexM1Top_I0l
;
generate
if
(
DEBUG
==
2
)
begin
assign
RV_RTCK
=
1
'b
0
;
assign
RV_TDOUT
=
1
'b
0
;
assign
RV_nTDOEN
=
1
'b
1
;
assign
CortexM1Top_Oll
=
CortexM1Top_IOl
;
assign
CortexM1Top_Ill
=
CortexM1Top_OIl
;
assign
CortexM1Top_lll
=
CortexM1Top_lOl
;
assign
CortexM1Top_O0l
=
CortexM1Top_OOl
;
assign
CortexM1Top_I0l
=
!
CortexM1Top_IIl
[
0
]
;
assign
CortexM1Top_lIl
=
CortexM1Top_IIl
;
UJTAG
CortexM1Top_l0l
(
.TCK
(
UJTAG_TCK
)
,
.TDI
(
UJTAG_TDI
)
,
.TMS
(
UJTAG_TMS
)
,
.TDO
(
UJTAG_TDO
)
,
.TRSTB
(
UJTAG_TRSTB
)
,
.UIREG0
(
CortexM1Top_OlI
[
0
]
)
,
.UIREG1
(
CortexM1Top_OlI
[
1
]
)
,
.UIREG2
(
CortexM1Top_OlI
[
2
]
)
,
.UIREG3
(
CortexM1Top_OlI
[
3
]
)
,
.UIREG4
(
CortexM1Top_OlI
[
4
]
)
,
.UIREG5
(
CortexM1Top_OlI
[
5
]
)
,
.UIREG6
(
CortexM1Top_OlI
[
6
]
)
,
.UIREG7
(
CortexM1Top_OlI
[
7
]
)
,
.URSTB
(
CortexM1Top_IlI
)
,
.UDRUPD
(
CortexM1Top_llI
)
,
.UDRCK
(
CortexM1Top_O0I
)
,
.UDRCAP
(
CortexM1Top_I0I
)
,
.UDRSH
(
CortexM1Top_l0I
)
,
.UTDI
(
CortexM1Top_O1I
)
,
.UTDO
(
CortexM1Top_I1I
)
)
;
CortexM1Top_O1l
#
(
CortexM1Top_O0
)
CortexM1Top_I1l
(
.CortexM1Top_OlI
(
CortexM1Top_OlI
)
,
.CortexM1Top_IlI
(
CortexM1Top_IlI
)
,
.CortexM1Top_llI
(
CortexM1Top_llI
)
,
.CortexM1Top_O0I
(
CortexM1Top_O0I
)
,
.CortexM1Top_I0I
(
CortexM1Top_I0I
)
,
.CortexM1Top_l0I
(
CortexM1Top_l0I
)
,
.CortexM1Top_O1I
(
CortexM1Top_O1I
)
,
.CortexM1Top_I1I
(
CortexM1Top_I1I
)
,
.CortexM1Top_l1I
(
CortexM1Top_l1I
)
,
.CortexM1Top_l1l
(
CortexM1Top_OOl
)
,
.CortexM1Top_OO0
(
CortexM1Top_IOl
)
,
.CortexM1Top_IO0
(
CortexM1Top_lOl
)
,
.CortexM1Top_lO0
(
CortexM1Top_OIl
)
,
.CortexM1Top_OI0
(
TDO
)
,
.CortexM1Top_II0
(
CortexM1Top_IIl
)
,
.CortexM1Top_lI0
(
CortexM1Top_lIl
)
)
;
end
else
if
(
DEBUG
==
1
)
begin
assign
RV_RTCK
=
CortexM1Top_lOI
;
assign
RV_TDOUT
=
TDO
;
assign
RV_nTDOEN
=
nTDOEN
;
assign
UJTAG_TDO
=
1
'b
0
;
assign
CortexM1Top_Oll
=
RV_TCK
;
assign
CortexM1Top_Ill
=
RV_TDI
;
assign
CortexM1Top_lll
=
RV_TMS
;
assign
CortexM1Top_O0l
=
RV_nTRST
;
assign
CortexM1Top_I0l
=
RV_nSRST_IN
;
assign
CortexM1Top_OlI
=
8
'b
0
;
assign
CortexM1Top_IlI
=
1
'b
0
;
assign
CortexM1Top_llI
=
1
'b
0
;
assign
CortexM1Top_O0I
=
1
'b
0
;
assign
CortexM1Top_I0I
=
1
'b
0
;
assign
CortexM1Top_l0I
=
1
'b
0
;
assign
CortexM1Top_O1I
=
1
'b
0
;
assign
CortexM1Top_I1I
=
1
'b
0
;
assign
CortexM1Top_l1I
=
1
'b
0
;
assign
CortexM1Top_OOl
=
1
'b
0
;
assign
CortexM1Top_IOl
=
1
'b
0
;
assign
CortexM1Top_lOl
=
1
'b
0
;
assign
CortexM1Top_OIl
=
1
'b
0
;
assign
CortexM1Top_IIl
=
4
'b
0
;
assign
CortexM1Top_lIl
=
4
'b
0
;
end
else
begin
assign
RV_RTCK
=
1
'b
0
;
assign
RV_TDOUT
=
1
'b
0
;
assign
RV_nTDOEN
=
1
'b
1
;
assign
UJTAG_TDO
=
1
'b
0
;
assign
CortexM1Top_Oll
=
1
'b
0
;
assign
CortexM1Top_Ill
=
1
'b
0
;
assign
CortexM1Top_lll
=
1
'b
0
;
assign
CortexM1Top_O0l
=
1
'b
1
;
assign
CortexM1Top_I0l
=
1
'b
1
;
assign
CortexM1Top_OlI
=
8
'b
0
;
assign
CortexM1Top_IlI
=
1
'b
0
;
assign
CortexM1Top_llI
=
1
'b
0
;
assign
CortexM1Top_O0I
=
1
'b
0
;
assign
CortexM1Top_I0I
=
1
'b
0
;
assign
CortexM1Top_l0I
=
1
'b
0
;
assign
CortexM1Top_O1I
=
1
'b
0
;
assign
CortexM1Top_I1I
=
1
'b
0
;
assign
CortexM1Top_l1I
=
1
'b
0
;
assign
CortexM1Top_OOl
=
1
'b
0
;
assign
CortexM1Top_IOl
=
1
'b
0
;
assign
CortexM1Top_lOl
=
1
'b
0
;
assign
CortexM1Top_OIl
=
1
'b
0
;
assign
CortexM1Top_IIl
=
4
'b
0
;
assign
CortexM1Top_lIl
=
4
'b
0
;
end
endgenerate
always
@
(
posedge
HCLK
or
negedge
NSYSRESET
)
begin
if
(
!
NSYSRESET
)
begin
CortexM1Top_I0
<=
1
'b
0
;
end
else
begin
CortexM1Top_I0
<=
SYSRESETREQ
;
end
end
assign
CortexM1Top_III
=
CortexM1Top_I0l
&&
NSYSRESET
&&
!
WDOGRES
&&
!
CortexM1Top_I0
;
always
@
(
posedge
HCLK
or
negedge
CortexM1Top_III
)
begin
if
(
!
CortexM1Top_III
)
begin
CortexM1Top_l0
<=
1
'b
0
;
HRESETn
<=
1
'b
0
;
end
else
begin
CortexM1Top_l0
<=
1
'b
1
;
HRESETn
<=
CortexM1Top_l0
;
end
end
assign
CortexM1Top_lII
=
CortexM1Top_I0l
&&
NSYSRESET
;
always
@
(
posedge
HCLK
or
negedge
CortexM1Top_lII
)
begin
if
(
!
CortexM1Top_lII
)
begin
CortexM1Top_O1
<=
1
'b
0
;
WDOGRESn
<=
1
'b
0
;
end
else
begin
CortexM1Top_O1
<=
1
'b
1
;
WDOGRESn
<=
CortexM1Top_O1
;
end
end
always
@
(
posedge
HCLK
or
negedge
NSYSRESET
)
begin
if
(
!
NSYSRESET
)
begin
CortexM1Top_I1
<=
1
'b
0
;
DBGRESETn
<=
1
'b
0
;
end
else
begin
CortexM1Top_I1
<=
1
'b
1
;
DBGRESETn
<=
CortexM1Top_I1
;
end
end
always
@
(
posedge
HCLK
or
negedge
CortexM1Top_O0l
)
begin
if
(
!
CortexM1Top_O0l
)
begin
CortexM1Top_l1
<=
1
'b
0
;
CortexM1Top_OII
<=
1
'b
0
;
end
else
begin
CortexM1Top_l1
<=
1
'b
1
;
CortexM1Top_OII
<=
CortexM1Top_l1
;
end
end
assign
nTRST
=
CortexM1Top_OII
;
always
@
(
posedge
HCLK
or
negedge
CortexM1Top_OII
)
begin
if
(
!
CortexM1Top_OII
)
begin
CortexM1Top_OOI
<=
1
'b
0
;
CortexM1Top_IOI
<=
1
'b
0
;
CortexM1Top_lOI
<=
1
'b
0
;
end
else
begin
CortexM1Top_OOI
<=
CortexM1Top_Oll
;
CortexM1Top_IOI
<=
CortexM1Top_OOI
;
CortexM1Top_lOI
<=
CortexM1Top_IOI
;
end
end
assign
TCK
=
!
CortexM1Top_IOI
&&
CortexM1Top_lOI
;
assign
CortexM1Top_Ol0
=
CortexM1Top_IOI
&&
!
CortexM1Top_lOI
;
always
@
(
posedge
HCLK
or
negedge
CortexM1Top_OII
)
begin
if
(
!
CortexM1Top_OII
)
begin
TMS
<=
1
'b
0
;
TDI
<=
1
'b
0
;
end
else
if
(
CortexM1Top_Ol0
)
begin
TMS
<=
CortexM1Top_lll
;
TDI
<=
CortexM1Top_Ill
;
end
else
begin
TMS
<=
TMS
;
TDI
<=
TDI
;
end
end
endmodule
