`timescale 1 ns/100 ps
// Version: 8.1 8.1.0.32


module m1afs_vrpsm(PUB,VRPU,FPGAGOOD,PUCORE,RTCPSMMATCH);
input PUB, VRPU;
output  FPGAGOOD, PUCORE;
input  RTCPSMMATCH;

    wire VCC, SOC_GND_NET;
    wire SOC_VCC_NET_IOCNTL = VCC;
    wire SOC_GND_NET_VRFPD = SOC_GND_NET;
    
    VCC VCC_1_net(.Y(VCC));
    GND GND_1_net(.Y(SOC_GND_NET));
    VRPSM VRPSM1(.PUB(PUB), .VRPU(VRPU), .VRINITSTATE(VCC), 
        .RTCPSMMATCH(RTCPSMMATCH), .FPGAGOOD(FPGAGOOD), .PUCORE(
        PUCORE));
    
endmodule

// _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._


// _GEN_File_Contents_

// Version:8.1.0.32
// ACTGENU_CALL:1
// BATCH:T
// FAM:Fusion
// OUTFORMAT:Verilog
// LPMTYPE:LPM_VRPSM
// LPM_HINT:NONE
// INSERT_PAD:NO
// INSERT_IOREG:NO
// GEN_BHV_VHDL_VAL:F
// GEN_BHV_VERILOG_VAL:F
// MGNTIMER:F
// MGNCMPL:F
// "DESDIR:C:/designs/Development/Actel/M1AFS/M1AFS_System/smartgen\m1afs_vrpsm"
// GEN_BEHV_MODULE:T
// SMARTGEN_DIE:M1IR6X6M2
// SMARTGEN_PACKAGE:fg484
// INIT_VALUE:1
// USE_RTC_MATCH:1

// _End_Comments_

