`timescale 1 ns/100 ps
// Version: 8.1 8.1.0.32


module m1afs_xtal_rtc(
       XTL,
       CLKOUT,
       CLKOUTINT,
       SELMODE,
       RTC_MODE
    );
input  XTL;
output CLKOUT;
output CLKOUTINT;
input  SELMODE;
input  [1:0] RTC_MODE;

    wire GND;
    wire GND_power_net1;
    assign GND = GND_power_net1;
    
    XTLOSC crystal (.XTL(XTL), .CLKOUT(CLKOUT), .SELMODE(SELMODE), 
        .MODE({GND, GND}), .RTCMODE({RTC_MODE[1], RTC_MODE[0]}));
    CLKSRC clksrc1 (.A(CLKOUT), .Y(CLKOUTINT));
    GND GND_power_inst1 (.Y(GND_power_net1));
    
endmodule

// _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._


// _GEN_File_Contents_

// Version:8.1.0.32
// ACTGENU_CALL:1
// BATCH:T
// FAM:Fusion
// OUTFORMAT:Verilog
// LPMTYPE:LPM_CCC_XTLOSC
// LPM_HINT:NONE
// INSERT_PAD:NO
// INSERT_IOREG:NO
// GEN_BHV_VHDL_VAL:F
// GEN_BHV_VERILOG_VAL:F
// MGNTIMER:F
// MGNCMPL:T
// "DESDIR:C:/designs/Development/Actel/M1AFS/M1AFS_System/smartgen\m1afs_xtal_rtc"
// GEN_BEHV_MODULE:T
// SMARTGEN_DIE:M1IR6X6M2
// SMARTGEN_PACKAGE:fg484
// MODE:0
// DRIVE_MODE:0

// _End_Comments_

