# Top Level Design Parameters

# Clocks

create_clock -period 20.833300 -waveform {0.000000 10.416600} extClk
create_clock -period 20.833300 -waveform {0.000000 10.416600} UJTAG_TCK

# False Paths Between Clocks


# False Path Constraints

set_false_path -from {pbRstN} -to {*}
set_false_path -from {poRstN} -to {*}
set_false_path -from {switchIn[0]} -to {*}
set_false_path -from {switchIn[1]} -to {*}
set_false_path -from {switchIn[2]} -to {*}
set_false_path -from {switchIn[3]} -to {*}
set_false_path -from {switchIn[4]} -to {*}
set_false_path -from {switchIn[5]} -to {*}
set_false_path -from {switchIn[6]} -to {*}
set_false_path -from {switchIn[7]} -to {*}
set_false_path -from {switchIn[8]} -to {*}
set_false_path -from {switchIn[9]} -to {*}
set_false_path -from {rs232Arx} -to {*}
set_false_path -from {*} -to {flashRstN}
set_false_path -from {*} -to {ledOut[0]}
set_false_path -from {*} -to {ledOut[1]}
set_false_path -from {*} -to {ledOut[2]}
set_false_path -from {*} -to {ledOut[3]}
set_false_path -from {*} -to {ledOut[4]}
set_false_path -from {*} -to {ledOut[5]}
set_false_path -from {*} -to {ledOut[6]}
set_false_path -from {*} -to {ledOut[7]}
set_false_path -from {*} -to {ledOut[8]}
set_false_path -from {*} -to {ledOut[9]}
set_false_path -from {*} -to {rs232Atx}

# Maximum Delay Constraints

set_false_path -from {pbRstN} -to {*}
set_false_path -from {poRstN} -to {*}
set_false_path -from {switchIn[0]} -to {*}
set_false_path -from {switchIn[1]} -to {*}
set_false_path -from {switchIn[2]} -to {*}
set_false_path -from {switchIn[3]} -to {*}
set_false_path -from {switchIn[4]} -to {*}
set_false_path -from {switchIn[5]} -to {*}
set_false_path -from {switchIn[6]} -to {*}
set_false_path -from {switchIn[7]} -to {*}
set_false_path -from {switchIn[8]} -to {*}
set_false_path -from {switchIn[9]} -to {*}
set_false_path -from {rs232Arx} -to {*}
set_false_path -from {*} -to {flashRstN}
set_false_path -from {*} -to {ledOut[0]}
set_false_path -from {*} -to {ledOut[1]}
set_false_path -from {*} -to {ledOut[2]}
set_false_path -from {*} -to {ledOut[3]}
set_false_path -from {*} -to {ledOut[4]}
set_false_path -from {*} -to {ledOut[5]}
set_false_path -from {*} -to {ledOut[6]}
set_false_path -from {*} -to {ledOut[7]}
set_false_path -from {*} -to {ledOut[8]}
set_false_path -from {*} -to {ledOut[9]}
set_false_path -from {*} -to {rs232Atx}

# Multicycle Constraints

set_false_path -from {pbRstN} -to {*}
set_false_path -from {poRstN} -to {*}
set_false_path -from {switchIn[0]} -to {*}
set_false_path -from {switchIn[1]} -to {*}
set_false_path -from {switchIn[2]} -to {*}
set_false_path -from {switchIn[3]} -to {*}
set_false_path -from {switchIn[4]} -to {*}
set_false_path -from {switchIn[5]} -to {*}
set_false_path -from {switchIn[6]} -to {*}
set_false_path -from {switchIn[7]} -to {*}
set_false_path -from {switchIn[8]} -to {*}
set_false_path -from {switchIn[9]} -to {*}
set_false_path -from {rs232Arx} -to {*}
set_false_path -from {*} -to {flashRstN}
set_false_path -from {*} -to {ledOut[0]}
set_false_path -from {*} -to {ledOut[1]}
set_false_path -from {*} -to {ledOut[2]}
set_false_path -from {*} -to {ledOut[3]}
set_false_path -from {*} -to {ledOut[4]}
set_false_path -from {*} -to {ledOut[5]}
set_false_path -from {*} -to {ledOut[6]}
set_false_path -from {*} -to {ledOut[7]}
set_false_path -from {*} -to {ledOut[8]}
set_false_path -from {*} -to {ledOut[9]}
set_false_path -from {*} -to {rs232Atx}

# Virtual Clocks
# Output Load Constraints
# Driving Cell Constraints
# Wire Loads
# set_wire_load_mode top

# Other Constraints
