//**********************************************************************
// This code was created by SoC Solutions and is free for use with     *
// Actel products.  For support e-mail support@socsolutions.com.       *
//**********************************************************************

#ifndef __APB_ADDRDEC_DEFINES_H
#define __APB_ADDRDEC_DEFINES_H    1

#define REMAP0_BASE     0x00000000
#define FLASH_BASE      0x00000000
#define SRAM_BASE       0x10000000
#define NVM_BASE        0x20000000

#define PWM_BASE        0xA0000000
#define UARTA_BASE      0xA1000000
#define TIMER1_BASE     0xA2000000
#define IRQ_BASE        0xA3000000
#define REMAP_CFG_BASE  0xA4000000
#define GPIO0_BASE      0xA5000000
#define GPIO1_BASE      0xA6000000
#define ANALOG_BASE     0xA7000000

#define UNDEFINED_BASE  0xA8000000

#define CORTEXM1_NVEC_IRQ_SET_ENABLE  0xE000E100
#define CORTEXM1_NVEC_IRQ_CLR_ENABLE  0xE000E180
#define CORTEXM1_NVEC_IRQ_SET_PENDING 0xE000E200
#define CORTEXM1_NVEC_IRQ_CLR_PENDING 0xE000E280

#define CM1_IRQ0_MASK           0x00000001

#endif

