//**********************************************************************
// This code was created by SoC Solutions and is free for use with     *
// Actel products.  For support e-mail support@socsolutions.com.       *
//**********************************************************************

#include "externals.h"

//###############################################################
//  	Interrupt handler routines
//###############################################################

/*
void IRQ_Handler(void) __irq
{
}
*/

//###############################################################
//	Main program
//###############################################################

#define UARTA_BASE     0xa1000000
#define BR_57600_16MHZ 16 			//16 gives 57600 at 16MHz
#define BR_57600_22MHZ 23

int main (void)
{
	//Configure the UART to run at 57600
#ifdef MXAFS
	uart_cfg(UARTA_BASE, BR_57600_22MHZ);
#else	
	uart_cfg(UARTA_BASE, BR_57600_16MHZ);
#endif

	while(1)
    {
		executeSlaveResponse();
	}
}
