//////////////////////////////////////////////////////////////////////
// Created by Actel CoreConsole - Fri Jan 25 14:01:23 2008
//////////////////////////////////////////////////////////////////////

`timescale 1ns/100ps

module ccTop(
    // Inputs
    DDGDON_DDGDON0,
    DDGDON_DDGDON1,
    DDGDON_DDGDON2,
    DDGDON_DDGDON3,
    DDGDON_DDGDON4,
    DDGDON_DDGDON5,
    DDGDON_DDGDON6,
    DDGDON_DDGDON7,
    DDGDON_DDGDON8,
    DDGDON_DDGDON9,
    NSYSRESET,
    RTC_RTCCLK,
    RX,
    RemapDefault,
    SYSCLK,
    UJTAG_UJTAG_TCK,
    UJTAG_UJTAG_TDI,
    UJTAG_UJTAG_TMS,
    UJTAG_UJTAG_TRSTB,
    analog_signals_AC0,
    analog_signals_AC1,
    analog_signals_AC2,
    analog_signals_AC3,
    analog_signals_AC4,
    analog_signals_AC5,
    analog_signals_AC6,
    analog_signals_AC7,
    analog_signals_AC8,
    analog_signals_AC9,
    analog_signals_AT0,
    analog_signals_AT1,
    analog_signals_AT2,
    analog_signals_AT3,
    analog_signals_AT4,
    analog_signals_AT5,
    analog_signals_AT6,
    analog_signals_AT7,
    analog_signals_AT8,
    analog_signals_AT9,
    analog_signals_ATRETURN0,
    analog_signals_ATRETURN1,
    analog_signals_ATRETURN2,
    analog_signals_ATRETURN3,
    analog_signals_ATRETURN4,
    analog_signals_AV0,
    analog_signals_AV1,
    analog_signals_AV2,
    analog_signals_AV3,
    analog_signals_AV4,
    analog_signals_AV5,
    analog_signals_AV6,
    analog_signals_AV7,
    analog_signals_AV8,
    analog_signals_AV9,
    analog_signals_GNDREF,
    dataIn,
    dataIn_01,
    // Outputs
    DACOUT_DACOUT0,
    DACOUT_DACOUT1,
    DACOUT_DACOUT2,
    DACOUT_DACOUT3,
    DACOUT_DACOUT4,
    DACOUT_DACOUT5,
    DACOUT_DACOUT6,
    DACOUT_DACOUT7,
    DACOUT_DACOUT8,
    DACOUT_DACOUT9,
    DATOUT_DATOUT0,
    DATOUT_DATOUT1,
    DATOUT_DATOUT2,
    DATOUT_DATOUT3,
    DATOUT_DATOUT4,
    DATOUT_DATOUT5,
    DATOUT_DATOUT6,
    DATOUT_DATOUT7,
    DATOUT_DATOUT8,
    DATOUT_DATOUT9,
    DAVOUT_DAVOUT0,
    DAVOUT_DAVOUT1,
    DAVOUT_DAVOUT2,
    DAVOUT_DAVOUT3,
    DAVOUT_DAVOUT4,
    DAVOUT_DAVOUT5,
    DAVOUT_DAVOUT6,
    DAVOUT_DAVOUT7,
    DAVOUT_DAVOUT8,
    DAVOUT_DAVOUT9,
    ExternalMemoryInterface_FlashCSN,
    ExternalMemoryInterface_FlashOEnN,
    ExternalMemoryInterface_FlashWEnN,
    ExternalMemoryInterface_MemAddr,
    ExternalMemoryInterface_MemReadN,
    ExternalMemoryInterface_MemWriteN,
    ExternalMemoryInterface_SramByteN,
    ExternalMemoryInterface_SramCSN,
    ExternalMemoryInterface_SramClk,
    ExternalMemoryInterface_SramOEnN,
    ExternalMemoryInterface_SramWEnN,
    FIQ,
    IRQ,
    PWM,
    RTC_RTCMATCH,
    RTC_RTCPSMMATCH,
    RTC_RTCXTLMODE0,
    RTC_RTCXTLMODE1,
    RTC_RTCXTLSEL,
    TX,
    UJTAG_UJTAG_TDO,
    analog_signals_AG0,
    analog_signals_AG1,
    analog_signals_AG2,
    analog_signals_AG3,
    analog_signals_AG4,
    analog_signals_AG5,
    analog_signals_AG6,
    analog_signals_AG7,
    analog_signals_AG8,
    analog_signals_AG9,
    dataOut,
    dataOut_01,
    // Inouts
    ExternalMemoryInterface_MemData,
    analog_signals_VAREF
);

//--------------------------------------------------------------------
// Inputs
//--------------------------------------------------------------------

input DDGDON_DDGDON0;
input DDGDON_DDGDON1;
input DDGDON_DDGDON2;
input DDGDON_DDGDON3;
input DDGDON_DDGDON4;
input DDGDON_DDGDON5;
input DDGDON_DDGDON6;
input DDGDON_DDGDON7;
input DDGDON_DDGDON8;
input DDGDON_DDGDON9;
input NSYSRESET;
input RTC_RTCCLK;
input RX;
input RemapDefault;
input SYSCLK;
input UJTAG_UJTAG_TCK;
input UJTAG_UJTAG_TDI;
input UJTAG_UJTAG_TMS;
input UJTAG_UJTAG_TRSTB;
input analog_signals_AC0;
input analog_signals_AC1;
input analog_signals_AC2;
input analog_signals_AC3;
input analog_signals_AC4;
input analog_signals_AC5;
input analog_signals_AC6;
input analog_signals_AC7;
input analog_signals_AC8;
input analog_signals_AC9;
input analog_signals_AT0;
input analog_signals_AT1;
input analog_signals_AT2;
input analog_signals_AT3;
input analog_signals_AT4;
input analog_signals_AT5;
input analog_signals_AT6;
input analog_signals_AT7;
input analog_signals_AT8;
input analog_signals_AT9;
input analog_signals_ATRETURN0;
input analog_signals_ATRETURN1;
input analog_signals_ATRETURN2;
input analog_signals_ATRETURN3;
input analog_signals_ATRETURN4;
input analog_signals_AV0;
input analog_signals_AV1;
input analog_signals_AV2;
input analog_signals_AV3;
input analog_signals_AV4;
input analog_signals_AV5;
input analog_signals_AV6;
input analog_signals_AV7;
input analog_signals_AV8;
input analog_signals_AV9;
input analog_signals_GNDREF;
input [31:0] dataIn;
input [14:0] dataIn_01;

//--------------------------------------------------------------------
// Outputs
//--------------------------------------------------------------------

output DACOUT_DACOUT0;
output DACOUT_DACOUT1;
output DACOUT_DACOUT2;
output DACOUT_DACOUT3;
output DACOUT_DACOUT4;
output DACOUT_DACOUT5;
output DACOUT_DACOUT6;
output DACOUT_DACOUT7;
output DACOUT_DACOUT8;
output DACOUT_DACOUT9;
output DATOUT_DATOUT0;
output DATOUT_DATOUT1;
output DATOUT_DATOUT2;
output DATOUT_DATOUT3;
output DATOUT_DATOUT4;
output DATOUT_DATOUT5;
output DATOUT_DATOUT6;
output DATOUT_DATOUT7;
output DATOUT_DATOUT8;
output DATOUT_DATOUT9;
output DAVOUT_DAVOUT0;
output DAVOUT_DAVOUT1;
output DAVOUT_DAVOUT2;
output DAVOUT_DAVOUT3;
output DAVOUT_DAVOUT4;
output DAVOUT_DAVOUT5;
output DAVOUT_DAVOUT6;
output DAVOUT_DAVOUT7;
output DAVOUT_DAVOUT8;
output DAVOUT_DAVOUT9;
output ExternalMemoryInterface_FlashCSN;
output ExternalMemoryInterface_FlashOEnN;
output ExternalMemoryInterface_FlashWEnN;
output [27:0] ExternalMemoryInterface_MemAddr;
output ExternalMemoryInterface_MemReadN;
output ExternalMemoryInterface_MemWriteN;
output [3:0] ExternalMemoryInterface_SramByteN;
output ExternalMemoryInterface_SramCSN;
output ExternalMemoryInterface_SramClk;
output ExternalMemoryInterface_SramOEnN;
output ExternalMemoryInterface_SramWEnN;
output FIQ;
output IRQ;
output [8:1] PWM;
output RTC_RTCMATCH;
output RTC_RTCPSMMATCH;
output RTC_RTCXTLMODE0;
output RTC_RTCXTLMODE1;
output RTC_RTCXTLSEL;
output TX;
output UJTAG_UJTAG_TDO;
output analog_signals_AG0;
output analog_signals_AG1;
output analog_signals_AG2;
output analog_signals_AG3;
output analog_signals_AG4;
output analog_signals_AG5;
output analog_signals_AG6;
output analog_signals_AG7;
output analog_signals_AG8;
output analog_signals_AG9;
output [31:0] dataOut;
output [14:0] dataOut_01;

//--------------------------------------------------------------------
// Inouts
//--------------------------------------------------------------------

inout [31:0] ExternalMemoryInterface_MemData;
inout analog_signals_VAREF;

//--------------------------------------------------------------------
// Nets
//--------------------------------------------------------------------

wire [31:0] AHBmslave10_HRDATA;
wire AHBmslave10_HREADYOUT;
wire [1:0] AHBmslave10_HRESP;
wire AHBmslave10_HSELx;
wire [31:0] APBmslave0_PRDATA;
wire APBmslave0_PSELx;
wire [31:0] APBmslave1_PRDATA;
wire APBmslave1_PSELx;
wire [31:0] APBmslave2_PRDATA;
wire APBmslave2_PSELx;
wire [31:0] APBmslave3_PRDATA;
wire APBmslave3_PSELx;
wire [31:0] APBmslave4_PRDATA;
wire APBmslave4_PSELx;
wire [31:0] APBmslave5_PRDATA;
wire APBmslave5_PSELx;
wire [31:0] APBmslave6_PRDATA;
wire APBmslave6_PSELx;
wire [31:0] APBmslave7_PRDATA;
wire APBmslave7_PSELx;
wire [31:0] Autostitch_AHBmmaster_HADDR;
wire [2:0] Autostitch_AHBmmaster_HBURST;
wire [3:0] Autostitch_AHBmmaster_HPROT;
wire [31:0] Autostitch_AHBmmaster_HRDATA;
wire Autostitch_AHBmmaster_HREADY;
wire [1:0] Autostitch_AHBmmaster_HRESP;
wire [2:0] Autostitch_AHBmmaster_HSIZE;
wire [1:0] Autostitch_AHBmmaster_HTRANS;
wire [31:0] Autostitch_AHBmmaster_HWDATA;
wire Autostitch_AHBmmaster_HWRITE;
wire [23:0] Autostitch_APBmmaster_PADDR;
wire Autostitch_APBmmaster_PENABLE;
wire [31:0] Autostitch_APBmmaster_PRDATA;
wire [15:0] Autostitch_APBmmaster_PSELECT;
wire [31:0] Autostitch_APBmmaster_PWDATA;
wire Autostitch_APBmmaster_PWRITE;
wire [31:0] Bus_00_HRDATA;
wire Bus_00_HREADYOUT;
wire [1:0] Bus_00_HRESP;
wire Bus_00_HSELx;
wire [31:0] Bus_01_HRDATA;
wire Bus_01_HREADYOUT;
wire [1:0] Bus_01_HRESP;
wire Bus_01_HSELx;
wire [31:0] Bus_02_HRDATA;
wire Bus_02_HREADYOUT;
wire [1:0] Bus_02_HRESP;
wire Bus_02_HSELx;
wire COREAIINT;
wire [31:0] CoreAHBLite_00_HADDRS;
wire CoreAHBLite_00_HREADYS;
wire [2:0] CoreAHBLite_00_HSIZES;
wire [1:0] CoreAHBLite_00_HTRANSS;
wire [31:0] CoreAHBLite_00_HWDATAS;
wire CoreAHBLite_00_HWRITES;
wire [23:0] CoreAPB_00_PADDRS;
wire CoreAPB_00_PENABLES;
wire [31:0] CoreAPB_00_PWDATAS;
wire CoreAPB_00_PWRITES;
wire PWMINT;
wire REMAP;
wire RESETn;
wire TIMINT;
wire UARTRXRDYINT;

//--------------------------------------------------------------------
// Component instances
//--------------------------------------------------------------------

CoreAHB2APB CoreAHB2APB_00(
        // Inputs
        .HADDR(CoreAHBLite_00_HADDRS[27:0]),
        .HCLK(SYSCLK),
        .HREADY(CoreAHBLite_00_HREADYS),
        .HRESETn(RESETn),
        .HSEL(AHBmslave10_HSELx),
        .HTRANS(CoreAHBLite_00_HTRANSS),
        .HWDATA(CoreAHBLite_00_HWDATAS),
        .HWRITE(CoreAHBLite_00_HWRITES),
        .PRDATA(Autostitch_APBmmaster_PRDATA),
        // Outputs
        .HRDATA(AHBmslave10_HRDATA),
        .HREADYOUT(AHBmslave10_HREADYOUT),
        .HRESP(AHBmslave10_HRESP),
        .PADDR(Autostitch_APBmmaster_PADDR),
        .PENABLE(Autostitch_APBmmaster_PENABLE),
        .PSELECT(Autostitch_APBmmaster_PSELECT),
        .PWDATA(Autostitch_APBmmaster_PWDATA),
        .PWRITE(Autostitch_APBmmaster_PWRITE)
    );

//--------------------------------------------------------------------

CoreAHBLite #(
        // Configuration parameters
        .AhbSlot0Enable(1), 
        .AhbSlot10Enable(1), 
        .AhbSlot11Enable(1), 
        .AhbSlot12Enable(1), 
        .AhbSlot13Enable(1), 
        .AhbSlot14Enable(1), 
        .AhbSlot15Enable(1), 
        .AhbSlot1Enable(1), 
        .AhbSlot2Enable(1), 
        .AhbSlot3Enable(1), 
        .AhbSlot4Enable(1), 
        .AhbSlot5Enable(1), 
        .AhbSlot6Enable(1), 
        .AhbSlot7Enable(1), 
        .AhbSlot8Enable(1), 
        .AhbSlot9Enable(1)
    )
    CoreAHBLite_00(
        // Inputs
        .HADDR(Autostitch_AHBmmaster_HADDR),
        .HBURST(Autostitch_AHBmmaster_HBURST),
        .HCLK(SYSCLK),
        .HPROT(Autostitch_AHBmmaster_HPROT),
        .HRDATAS0(Bus_01_HRDATA),
        .HRDATAS1(Bus_00_HRDATA),
        .HRDATAS10(AHBmslave10_HRDATA),
        .HRDATAS11({32{1'b0}}),
        .HRDATAS12({32{1'b0}}),
        .HRDATAS13({32{1'b0}}),
        .HRDATAS14({32{1'b0}}),
        .HRDATAS15({32{1'b0}}),
        .HRDATAS2(Bus_02_HRDATA),
        .HRDATAS3({32{1'b0}}),
        .HRDATAS4({32{1'b0}}),
        .HRDATAS5({32{1'b0}}),
        .HRDATAS6({32{1'b0}}),
        .HRDATAS7({32{1'b0}}),
        .HRDATAS8({32{1'b0}}),
        .HRDATAS9({32{1'b0}}),
        .HREADYS0(Bus_01_HREADYOUT),
        .HREADYS1(Bus_00_HREADYOUT),
        .HREADYS10(AHBmslave10_HREADYOUT),
        .HREADYS11({1{1'b1}}),
        .HREADYS12({1{1'b1}}),
        .HREADYS13({1{1'b1}}),
        .HREADYS14({1{1'b1}}),
        .HREADYS15({1{1'b1}}),
        .HREADYS2(Bus_02_HREADYOUT),
        .HREADYS3({1{1'b1}}),
        .HREADYS4({1{1'b1}}),
        .HREADYS5({1{1'b1}}),
        .HREADYS6({1{1'b1}}),
        .HREADYS7({1{1'b1}}),
        .HREADYS8({1{1'b1}}),
        .HREADYS9({1{1'b1}}),
        .HRESETn(RESETn),
        .HRESPS0(Bus_01_HRESP),
        .HRESPS1(Bus_00_HRESP),
        .HRESPS10(AHBmslave10_HRESP),
        .HRESPS11({2{1'b0}}),
        .HRESPS12({2{1'b0}}),
        .HRESPS13({2{1'b0}}),
        .HRESPS14({2{1'b0}}),
        .HRESPS15({2{1'b0}}),
        .HRESPS2(Bus_02_HRESP),
        .HRESPS3({2{1'b0}}),
        .HRESPS4({2{1'b0}}),
        .HRESPS5({2{1'b0}}),
        .HRESPS6({2{1'b0}}),
        .HRESPS7({2{1'b0}}),
        .HRESPS8({2{1'b0}}),
        .HRESPS9({2{1'b0}}),
        .HSIZE(Autostitch_AHBmmaster_HSIZE),
        .HTRANS(Autostitch_AHBmmaster_HTRANS),
        .HWDATA(Autostitch_AHBmmaster_HWDATA),
        .HWRITE(Autostitch_AHBmmaster_HWRITE),
        .Remap(REMAP),
        // Outputs
        .HADDRS(CoreAHBLite_00_HADDRS),
        .HBURSTS(),
        .HPROTS(),
        .HRDATA(Autostitch_AHBmmaster_HRDATA),
        .HREADY(Autostitch_AHBmmaster_HREADY),
        .HREADYS(CoreAHBLite_00_HREADYS),
        .HRESP(Autostitch_AHBmmaster_HRESP),
        .HSELS0(Bus_01_HSELx),
        .HSELS1(Bus_00_HSELx),
        .HSELS10(AHBmslave10_HSELx),
        .HSELS11(),
        .HSELS12(),
        .HSELS13(),
        .HSELS14(),
        .HSELS15(),
        .HSELS2(Bus_02_HSELx),
        .HSELS3(),
        .HSELS4(),
        .HSELS5(),
        .HSELS6(),
        .HSELS7(),
        .HSELS8(),
        .HSELS9(),
        .HSIZES(CoreAHBLite_00_HSIZES),
        .HTRANSS(CoreAHBLite_00_HTRANSS),
        .HWDATAS(CoreAHBLite_00_HWDATAS),
        .HWRITES(CoreAHBLite_00_HWRITES)
    );

//--------------------------------------------------------------------

COREAI #(
        // Configuration parameters
        .ACM_CLK_DIV('d2), 
        .ACTLOW_INTERRUPT(0), 
        .APB_16BIT_DATA(1), 
        .CFG_AC0('h205), 
        .CFG_AC1('h205), 
        .CFG_AC2('h205), 
        .CFG_AC3('h205), 
        .CFG_AC4('h205), 
        .CFG_AC5('h205), 
        .CFG_AC6('h001), 
        .CFG_AC7('h001), 
        .CFG_AC8('h300), 
        .CFG_AC9('h001), 
        .CFG_AT0('h204), 
        .CFG_AT1('h204), 
        .CFG_AT2('h204), 
        .CFG_AT3('h204), 
        .CFG_AT4('h204), 
        .CFG_AT5('h204), 
        .CFG_AT6('h300), 
        .CFG_AT7('h300), 
        .CFG_AT8('h001), 
        .CFG_AT9('h001), 
        .CFG_AV0('h004), 
        .CFG_AV1('h004), 
        .CFG_AV2('h004), 
        .CFG_AV3('h004), 
        .CFG_AV4('h004), 
        .CFG_AV5('h004), 
        .CFG_AV6('h004), 
        .CFG_AV7('h001), 
        .CFG_AV8('h003), 
        .CFG_AV9('h004), 
        .CFG_GD0('h006), 
        .CFG_GD1('h006), 
        .CFG_GD2('h006), 
        .CFG_GD3('h006), 
        .CFG_GD4('h006), 
        .CFG_GD5('h006), 
        .CFG_GD6('h300), 
        .CFG_GD7('h300), 
        .CFG_GD8('h300), 
        .CFG_GD9('h300), 
        .DISABLE_INTERRUPT(0), 
        .DISABLE_TMSTBINT(0), 
        .FIXED_MODE(0), 
        .FIXED_MODE_VAL(0), 
        .FIXED_STC(0), 
        .FIXED_STC_VAL(0), 
        .FIXED_TVC(1), 
        .FIXED_TVC_VAL(0), 
        .FIXED_VAREFSEL(1), 
        .FIXED_VAREFSEL_VAL(0), 
        .USE_RDFIFO(0), 
        .USE_RDFIFO_AEVAL(0), 
        .USE_RDFIFO_AFVAL(0), 
        .USE_RTC(1)
    )
    CoreAI_00(
        // Inputs
        .AC0(analog_signals_AC0),
        .AC1(analog_signals_AC1),
        .AC2(analog_signals_AC2),
        .AC3(analog_signals_AC3),
        .AC4(analog_signals_AC4),
        .AC5(analog_signals_AC5),
        .AC6(analog_signals_AC6),
        .AC7(analog_signals_AC7),
        .AC8(analog_signals_AC8),
        .AC9(analog_signals_AC9),
        .AT0(analog_signals_AT0),
        .AT1(analog_signals_AT1),
        .AT2(analog_signals_AT2),
        .AT3(analog_signals_AT3),
        .AT4(analog_signals_AT4),
        .AT5(analog_signals_AT5),
        .AT6(analog_signals_AT6),
        .AT7(analog_signals_AT7),
        .AT8(analog_signals_AT8),
        .AT9(analog_signals_AT9),
        .ATRETURN0(analog_signals_ATRETURN0),
        .ATRETURN1(analog_signals_ATRETURN1),
        .ATRETURN2(analog_signals_ATRETURN2),
        .ATRETURN3(analog_signals_ATRETURN3),
        .ATRETURN4(analog_signals_ATRETURN4),
        .AV0(analog_signals_AV0),
        .AV1(analog_signals_AV1),
        .AV2(analog_signals_AV2),
        .AV3(analog_signals_AV3),
        .AV4(analog_signals_AV4),
        .AV5(analog_signals_AV5),
        .AV6(analog_signals_AV6),
        .AV7(analog_signals_AV7),
        .AV8(analog_signals_AV8),
        .AV9(analog_signals_AV9),
        .DDGDON0(DDGDON_DDGDON0),
        .DDGDON1(DDGDON_DDGDON1),
        .DDGDON2(DDGDON_DDGDON2),
        .DDGDON3(DDGDON_DDGDON3),
        .DDGDON4(DDGDON_DDGDON4),
        .DDGDON5(DDGDON_DDGDON5),
        .DDGDON6(DDGDON_DDGDON6),
        .DDGDON7(DDGDON_DDGDON7),
        .DDGDON8(DDGDON_DDGDON8),
        .DDGDON9(DDGDON_DDGDON9),
        .GNDREF(analog_signals_GNDREF),
        .PADDR(CoreAPB_00_PADDRS[5:1]),
        .PCLK(SYSCLK),
        .PENABLE(CoreAPB_00_PENABLES),
        .PRESETN(RESETn),
        .PSEL(APBmslave7_PSELx),
        .PWDATA(CoreAPB_00_PWDATAS[15:0]),
        .PWRITE(CoreAPB_00_PWRITES),
        .RTCCLK(RTC_RTCCLK),
        // Outputs
        .AG0(analog_signals_AG0),
        .AG1(analog_signals_AG1),
        .AG2(analog_signals_AG2),
        .AG3(analog_signals_AG3),
        .AG4(analog_signals_AG4),
        .AG5(analog_signals_AG5),
        .AG6(analog_signals_AG6),
        .AG7(analog_signals_AG7),
        .AG8(analog_signals_AG8),
        .AG9(analog_signals_AG9),
        .DACOUT0(DACOUT_DACOUT0),
        .DACOUT1(DACOUT_DACOUT1),
        .DACOUT2(DACOUT_DACOUT2),
        .DACOUT3(DACOUT_DACOUT3),
        .DACOUT4(DACOUT_DACOUT4),
        .DACOUT5(DACOUT_DACOUT5),
        .DACOUT6(DACOUT_DACOUT6),
        .DACOUT7(DACOUT_DACOUT7),
        .DACOUT8(DACOUT_DACOUT8),
        .DACOUT9(DACOUT_DACOUT9),
        .DATOUT0(DATOUT_DATOUT0),
        .DATOUT1(DATOUT_DATOUT1),
        .DATOUT2(DATOUT_DATOUT2),
        .DATOUT3(DATOUT_DATOUT3),
        .DATOUT4(DATOUT_DATOUT4),
        .DATOUT5(DATOUT_DATOUT5),
        .DATOUT6(DATOUT_DATOUT6),
        .DATOUT7(DATOUT_DATOUT7),
        .DATOUT8(DATOUT_DATOUT8),
        .DATOUT9(DATOUT_DATOUT9),
        .DAVOUT0(DAVOUT_DAVOUT0),
        .DAVOUT1(DAVOUT_DAVOUT1),
        .DAVOUT2(DAVOUT_DAVOUT2),
        .DAVOUT3(DAVOUT_DAVOUT3),
        .DAVOUT4(DAVOUT_DAVOUT4),
        .DAVOUT5(DAVOUT_DAVOUT5),
        .DAVOUT6(DAVOUT_DAVOUT6),
        .DAVOUT7(DAVOUT_DAVOUT7),
        .DAVOUT8(DAVOUT_DAVOUT8),
        .DAVOUT9(DAVOUT_DAVOUT9),
        .INTERRUPT(COREAIINT),
        .PRDATA(APBmslave7_PRDATA[15:0]),
        .RTCMATCH(RTC_RTCMATCH),
        .RTCPSMMATCH(RTC_RTCPSMMATCH),
        .RTCXTLMODE0(RTC_RTCXTLMODE0),
        .RTCXTLMODE1(RTC_RTCXTLMODE1),
        .RTCXTLSEL(RTC_RTCXTLSEL),
        // Inouts
        .VAREF(analog_signals_VAREF)
    );

//--------------------------------------------------------------------

CoreAPB #(
        // Configuration parameters
        .ApbSlot0Enable(1), 
        .ApbSlot10Enable(1), 
        .ApbSlot11Enable(1), 
        .ApbSlot12Enable(1), 
        .ApbSlot13Enable(1), 
        .ApbSlot14Enable(1), 
        .ApbSlot15Enable(1), 
        .ApbSlot1Enable(1), 
        .ApbSlot2Enable(1), 
        .ApbSlot3Enable(1), 
        .ApbSlot4Enable(1), 
        .ApbSlot5Enable(1), 
        .ApbSlot6Enable(1), 
        .ApbSlot7Enable(1), 
        .ApbSlot8Enable(1), 
        .ApbSlot9Enable(1)
    )
    CoreAPB_00(
        // Inputs
        .PADDR(Autostitch_APBmmaster_PADDR),
        .PENABLE(Autostitch_APBmmaster_PENABLE),
        .PRDATAS0(APBmslave0_PRDATA),
        .PRDATAS1(APBmslave1_PRDATA),
        .PRDATAS10({32{1'b0}}),
        .PRDATAS11({32{1'b0}}),
        .PRDATAS12({32{1'b0}}),
        .PRDATAS13({32{1'b0}}),
        .PRDATAS14({32{1'b0}}),
        .PRDATAS15({32{1'b0}}),
        .PRDATAS2(APBmslave2_PRDATA),
        .PRDATAS3(APBmslave3_PRDATA),
        .PRDATAS4(APBmslave4_PRDATA),
        .PRDATAS5(APBmslave5_PRDATA),
        .PRDATAS6(APBmslave6_PRDATA),
        .PRDATAS7(APBmslave7_PRDATA),
        .PRDATAS8({32{1'b0}}),
        .PRDATAS9({32{1'b0}}),
        .PSELECT(Autostitch_APBmmaster_PSELECT),
        .PWDATA(Autostitch_APBmmaster_PWDATA),
        .PWRITE(Autostitch_APBmmaster_PWRITE),
        // Outputs
        .PADDRS(CoreAPB_00_PADDRS),
        .PENABLES(CoreAPB_00_PENABLES),
        .PRDATA(Autostitch_APBmmaster_PRDATA),
        .PSELS0(APBmslave0_PSELx),
        .PSELS1(APBmslave1_PSELx),
        .PSELS10(),
        .PSELS11(),
        .PSELS12(),
        .PSELS13(),
        .PSELS14(),
        .PSELS15(),
        .PSELS2(APBmslave2_PSELx),
        .PSELS3(APBmslave3_PSELx),
        .PSELS4(APBmslave4_PSELx),
        .PSELS5(APBmslave5_PSELx),
        .PSELS6(APBmslave6_PSELx),
        .PSELS7(APBmslave7_PSELx),
        .PSELS8(),
        .PSELS9(),
        .PWDATAS(CoreAPB_00_PWDATAS),
        .PWRITES(CoreAPB_00_PWRITES)
    );

//--------------------------------------------------------------------

CoreAhbNvm #(
        // Configuration parameters
        .NVM_INSTANCES(1)
    )
    CoreAhbNvm_00(
        // Inputs
        .HADDR(CoreAHBLite_00_HADDRS[19:0]),
        .HCLK(SYSCLK),
        .HREADYIN(CoreAHBLite_00_HREADYS),
        .HRESETn(RESETn),
        .HSEL(Bus_02_HSELx),
        .HSIZE(CoreAHBLite_00_HSIZES),
        .HTRANS(CoreAHBLite_00_HTRANSS),
        .HWDATA(CoreAHBLite_00_HWDATAS),
        .HWRITE(CoreAHBLite_00_HWRITES),
        // Outputs
        .HRDATA(Bus_02_HRDATA),
        .HREADY(Bus_02_HREADYOUT),
        .HRESP(Bus_02_HRESP)
    );

//--------------------------------------------------------------------

CoreGPIO #(
        // Configuration parameters
        .NUM_INPUTS('d32), 
        .NUM_OUTPUTS('d32)
    )
    CoreGPIO_00(
        // Inputs
        .PADDR(CoreAPB_00_PADDRS[5:2]),
        .PCLK(SYSCLK),
        .PENABLE(CoreAPB_00_PENABLES),
        .PRESETn(RESETn),
        .PSEL(APBmslave5_PSELx),
        .PWDATA(CoreAPB_00_PWDATAS),
        .PWRITE(CoreAPB_00_PWRITES),
        .dataIn(dataIn),
        // Outputs
        .PRDATA(APBmslave5_PRDATA),
        .dataOut(dataOut)
    );

//--------------------------------------------------------------------

CoreGPIO #(
        // Configuration parameters
        .NUM_INPUTS('d15), 
        .NUM_OUTPUTS('d15)
    )
    CoreGPIO_01(
        // Inputs
        .PADDR(CoreAPB_00_PADDRS[5:2]),
        .PCLK(SYSCLK),
        .PENABLE(CoreAPB_00_PENABLES),
        .PRESETn(RESETn),
        .PSEL(APBmslave6_PSELx),
        .PWDATA(CoreAPB_00_PWDATAS),
        .PWRITE(CoreAPB_00_PWRITES),
        .dataIn(dataIn_01),
        // Outputs
        .PRDATA(APBmslave6_PRDATA),
        .dataOut(dataOut_01)
    );

//--------------------------------------------------------------------

CoreInterrupt #(
        // Configuration parameters
        .FIQPOLARITY(1), 
        .IRQPOLARITY(1), 
        .NUMFIQSRC(0), 
        .NUMIRQSRC('d4)
    )
    CoreInterrupt_00(
        // Inputs
        .PADDR(CoreAPB_00_PADDRS[5:2]),
        .PCLK(SYSCLK),
        .PENABLE(CoreAPB_00_PENABLES),
        .PRESETn(RESETn),
        .PSEL(APBmslave3_PSELx),
        .PWDATA(CoreAPB_00_PWDATAS),
        .PWRITE(CoreAPB_00_PWRITES),
        .fiqSource0({1{1'b0}}),
        .fiqSource1({1{1'b0}}),
        .fiqSource2({1{1'b0}}),
        .fiqSource3({1{1'b0}}),
        .fiqSource4({1{1'b0}}),
        .fiqSource5({1{1'b0}}),
        .fiqSource6({1{1'b0}}),
        .fiqSource7({1{1'b0}}),
        .irqSource0(UARTRXRDYINT),
        .irqSource1(TIMINT),
        .irqSource10({1{1'b0}}),
        .irqSource11({1{1'b0}}),
        .irqSource12({1{1'b0}}),
        .irqSource13({1{1'b0}}),
        .irqSource14({1{1'b0}}),
        .irqSource15({1{1'b0}}),
        .irqSource16({1{1'b0}}),
        .irqSource17({1{1'b0}}),
        .irqSource18({1{1'b0}}),
        .irqSource19({1{1'b0}}),
        .irqSource2(PWMINT),
        .irqSource20({1{1'b0}}),
        .irqSource21({1{1'b0}}),
        .irqSource22({1{1'b0}}),
        .irqSource23({1{1'b0}}),
        .irqSource24({1{1'b0}}),
        .irqSource25({1{1'b0}}),
        .irqSource26({1{1'b0}}),
        .irqSource27({1{1'b0}}),
        .irqSource28({1{1'b0}}),
        .irqSource29({1{1'b0}}),
        .irqSource3(COREAIINT),
        .irqSource30({1{1'b0}}),
        .irqSource31({1{1'b0}}),
        .irqSource4({1{1'b0}}),
        .irqSource5({1{1'b0}}),
        .irqSource6({1{1'b0}}),
        .irqSource7({1{1'b0}}),
        .irqSource8({1{1'b0}}),
        .irqSource9({1{1'b0}}),
        // Outputs
        .FIQ(FIQ),
        .IRQ(IRQ),
        .PRDATA(APBmslave3_PRDATA)
    );

//--------------------------------------------------------------------

CoreMemCtrl #(
        // Configuration parameters
        .FLASH_16BIT(0), 
        .FLOW_THROUGH(0), 
        .NUM_WS_FLASH_READ('d3), 
        .NUM_WS_FLASH_WRITE('d3), 
        .NUM_WS_SRAM_READ('d2), 
        .NUM_WS_SRAM_WRITE('d3), 
        .SHARED_RW(0), 
        .SYNC_SRAM(0)
    )
    CoreMemCtrl_00(
        // Inputs
        .HADDR(CoreAHBLite_00_HADDRS[27:0]),
        .HCLK(SYSCLK),
        .HREADYIN(CoreAHBLite_00_HREADYS),
        .HRESETn(RESETn),
        .HSELflash(Bus_01_HSELx),
        .HSELsram(Bus_00_HSELx),
        .HSIZE(CoreAHBLite_00_HSIZES),
        .HTRANS(CoreAHBLite_00_HTRANSS),
        .HWDATA(CoreAHBLite_00_HWDATAS),
        .HWRITE(CoreAHBLite_00_HWRITES),
        // Outputs
        .FlashCSN(ExternalMemoryInterface_FlashCSN),
        .FlashOEnN(ExternalMemoryInterface_FlashOEnN),
        .FlashWEnN(ExternalMemoryInterface_FlashWEnN),
        .HRDATAflash(Bus_01_HRDATA),
        .HRDATAsram(Bus_00_HRDATA),
        .HREADYflash(Bus_01_HREADYOUT),
        .HREADYsram(Bus_00_HREADYOUT),
        .HRESPflash(Bus_01_HRESP),
        .HRESPsram(Bus_00_HRESP),
        .MemAddr(ExternalMemoryInterface_MemAddr),
        .MemReadN(ExternalMemoryInterface_MemReadN),
        .MemWriteN(ExternalMemoryInterface_MemWriteN),
        .SramByteN(ExternalMemoryInterface_SramByteN),
        .SramCSN(ExternalMemoryInterface_SramCSN),
        .SramClk(ExternalMemoryInterface_SramClk),
        .SramOEnN(ExternalMemoryInterface_SramOEnN),
        .SramWEnN(ExternalMemoryInterface_SramWEnN),
        // Inouts
        .MemData(ExternalMemoryInterface_MemData)
    );

//--------------------------------------------------------------------

corepwm #(
        // Configuration parameters
        .FIXED_ENABLE('hFF), 
        .FIXED_INT_MASK('h00), 
        .FIXED_PERIOD('h08), 
        .FIXED_PRESCALE('h08), 
        .FIXED_PWM1_NEGEDGE(0), 
        .FIXED_PWM1_POSEDGE(0), 
        .FIXED_PWM2_NEGEDGE(0), 
        .FIXED_PWM2_POSEDGE(0), 
        .FIXED_PWM3_NEGEDGE(0), 
        .FIXED_PWM3_POSEDGE(0), 
        .FIXED_PWM4_NEGEDGE(0), 
        .FIXED_PWM4_POSEDGE(0), 
        .FIXED_PWM5_NEGEDGE(0), 
        .FIXED_PWM5_POSEDGE(0), 
        .FIXED_PWM6_NEGEDGE(0), 
        .FIXED_PWM6_POSEDGE(0), 
        .FIXED_PWM7_NEGEDGE(0), 
        .FIXED_PWM7_POSEDGE(0), 
        .FIXED_PWM8_NEGEDGE(0), 
        .FIXED_PWM8_POSEDGE(0), 
        .PWM_FIXED_REG_SEL('h00)
    )
    CorePWM_00(
        // Inputs
        .PADDR(CoreAPB_00_PADDRS[6:2]),
        .PCLK(SYSCLK),
        .PENABLE(CoreAPB_00_PENABLES),
        .PRESET_N(RESETn),
        .PSEL(APBmslave0_PSELx),
        .PWDATA(CoreAPB_00_PWDATAS[7:0]),
        .PWRITE(CoreAPB_00_PWRITES),
        // Outputs
        .INT(PWMINT),
        .PRDATA(APBmslave0_PRDATA[7:0]),
        .PWM(PWM)
    );

//--------------------------------------------------------------------

CoreRemap CoreRemap_00(
        // Inputs
        .PADDR(CoreAPB_00_PADDRS[5:2]),
        .PCLK(SYSCLK),
        .PENABLE(CoreAPB_00_PENABLES),
        .PRESETn(RESETn),
        .PSEL(APBmslave4_PSELx),
        .PWDATA(CoreAPB_00_PWDATAS[7:0]),
        .PWRITE(CoreAPB_00_PWRITES),
        .RemapDefault(RemapDefault),
        // Outputs
        .PRDATA(APBmslave4_PRDATA[7:0]),
        .Remap(REMAP)
    );

//--------------------------------------------------------------------

CoreTimer #(
        // Configuration parameters
        .INTACTIVEH(1), 
        .WIDTH('d32)
    )
    CoreTimer_00(
        // Inputs
        .PADDR(CoreAPB_00_PADDRS[4:2]),
        .PCLK(SYSCLK),
        .PENABLE(CoreAPB_00_PENABLES),
        .PRESETn(RESETn),
        .PSEL(APBmslave2_PSELx),
        .PWDATA(CoreAPB_00_PWDATAS),
        .PWRITE(CoreAPB_00_PWRITES),
        // Outputs
        .PRDATA(APBmslave2_PRDATA),
        .TIMINT(TIMINT)
    );

//--------------------------------------------------------------------

CoreUARTapb #(
        // Configuration parameters
        .BAUD_VALUE('d24), 
        .FAMILY('d17), 
        .FIXEDMODE(0), 
        .PRG_BIT8(1), 
        .PRG_PARITY(0), 
        .RX_FIFO(0), 
        .TX_FIFO(0)
    )
    CoreUARTapb_00(
        // Inputs
        .PADDR(CoreAPB_00_PADDRS[4:2]),
        .PCLK(SYSCLK),
        .PENABLE(CoreAPB_00_PENABLES),
        .PRESETN(RESETn),
        .PSEL(APBmslave1_PSELx),
        .PWDATA(CoreAPB_00_PWDATAS[7:0]),
        .PWRITE(CoreAPB_00_PWRITES),
        .RX(RX),
        // Outputs
        .OVERFLOW(),
        .PARITY_ERR(),
        .PRDATA(APBmslave1_PRDATA[7:0]),
        .RXRDY(UARTRXRDYINT),
        .TX(TX),
        .TXRDY()
    );

//--------------------------------------------------------------------

CortexM1Top #(
        // Configuration parameters
        .DEBUG('d2)
    )
    CortexM1_00(
        // Inputs
        .EDBGRQ({1{1'b0}}),
        .HCLK(SYSCLK),
        .HRDATA(Autostitch_AHBmmaster_HRDATA),
        .HREADY(Autostitch_AHBmmaster_HREADY),
        .HRESP(Autostitch_AHBmmaster_HRESP),
        .IRQ0(IRQ),
        .IRQ1({1{1'b0}}),
        .IRQ10({1{1'b0}}),
        .IRQ11({1{1'b0}}),
        .IRQ12({1{1'b0}}),
        .IRQ13({1{1'b0}}),
        .IRQ14({1{1'b0}}),
        .IRQ15({1{1'b0}}),
        .IRQ16({1{1'b0}}),
        .IRQ17({1{1'b0}}),
        .IRQ18({1{1'b0}}),
        .IRQ19({1{1'b0}}),
        .IRQ2({1{1'b0}}),
        .IRQ20({1{1'b0}}),
        .IRQ21({1{1'b0}}),
        .IRQ22({1{1'b0}}),
        .IRQ23({1{1'b0}}),
        .IRQ24({1{1'b0}}),
        .IRQ25({1{1'b0}}),
        .IRQ26({1{1'b0}}),
        .IRQ27({1{1'b0}}),
        .IRQ28({1{1'b0}}),
        .IRQ29({1{1'b0}}),
        .IRQ3({1{1'b0}}),
        .IRQ30({1{1'b0}}),
        .IRQ31({1{1'b0}}),
        .IRQ4({1{1'b0}}),
        .IRQ5({1{1'b0}}),
        .IRQ6({1{1'b0}}),
        .IRQ7({1{1'b0}}),
        .IRQ8({1{1'b0}}),
        .IRQ9({1{1'b0}}),
        .NMI({1{1'b0}}),
        .NSYSRESET(NSYSRESET),
        .RV_TCK({1{1'b0}}),
        .RV_TDI({1{1'b0}}),
        .RV_TMS({1{1'b0}}),
        .RV_nSRST_IN({1{1'b1}}),
        .RV_nTRST({1{1'b1}}),
        .UJTAG_TCK(UJTAG_UJTAG_TCK),
        .UJTAG_TDI(UJTAG_UJTAG_TDI),
        .UJTAG_TMS(UJTAG_UJTAG_TMS),
        .UJTAG_TRSTB(UJTAG_UJTAG_TRSTB),
        .WDOGRES({1{1'b0}}),
        // Outputs
        .HADDR(Autostitch_AHBmmaster_HADDR),
        .HALTED(),
        .HBURST(Autostitch_AHBmmaster_HBURST),
        .HMASTLOCK(),
        .HPROT(Autostitch_AHBmmaster_HPROT),
        .HRESETn(RESETn),
        .HSIZE(Autostitch_AHBmmaster_HSIZE),
        .HTRANS(Autostitch_AHBmmaster_HTRANS),
        .HWDATA(Autostitch_AHBmmaster_HWDATA),
        .HWRITE(Autostitch_AHBmmaster_HWRITE),
        .JTAGTOP(),
        .LOCKUP(),
        .RV_RTCK(),
        .RV_TDOUT(),
        .RV_nTDOEN(),
        .UJTAG_TDO(UJTAG_UJTAG_TDO),
        .WDOGRESn()
    );

//--------------------------------------------------------------------
// Drive unused bits of nets to 0
//--------------------------------------------------------------------

assign APBmslave0_PRDATA[31:8] = {24{1'b0}};
assign APBmslave1_PRDATA[31:8] = {24{1'b0}};
assign APBmslave4_PRDATA[31:8] = {24{1'b0}};
assign APBmslave7_PRDATA[31:16] = {16{1'b0}};

endmodule

