----------------------------------------------------------------------
-- Created by Actel CoreConsole - Fri Jan 25 14:01:23 2008
----------------------------------------------------------------------

----------------------------------------------------------------------
-- Libraries
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library COREUARTAPB_LIB;
use COREUARTAPB_LIB.components.all;

----------------------------------------------------------------------
-- ccTop entity declaration
----------------------------------------------------------------------

entity ccTop is
    -- Port list
    port(
        -- Inputs
        DDGDON_DDGDON0 : in std_logic;
        DDGDON_DDGDON1 : in std_logic;
        DDGDON_DDGDON2 : in std_logic;
        DDGDON_DDGDON3 : in std_logic;
        DDGDON_DDGDON4 : in std_logic;
        DDGDON_DDGDON5 : in std_logic;
        DDGDON_DDGDON6 : in std_logic;
        DDGDON_DDGDON7 : in std_logic;
        DDGDON_DDGDON8 : in std_logic;
        DDGDON_DDGDON9 : in std_logic;
        NSYSRESET : in std_logic;
        RTC_RTCCLK : in std_logic;
        RX : in std_logic;
        RemapDefault : in std_logic;
        SYSCLK : in std_logic;
        UJTAG_UJTAG_TCK : in std_logic;
        UJTAG_UJTAG_TDI : in std_logic;
        UJTAG_UJTAG_TMS : in std_logic;
        UJTAG_UJTAG_TRSTB : in std_logic;
        analog_signals_AC0 : in std_logic;
        analog_signals_AC1 : in std_logic;
        analog_signals_AC2 : in std_logic;
        analog_signals_AC3 : in std_logic;
        analog_signals_AC4 : in std_logic;
        analog_signals_AC5 : in std_logic;
        analog_signals_AC6 : in std_logic;
        analog_signals_AC7 : in std_logic;
        analog_signals_AC8 : in std_logic;
        analog_signals_AC9 : in std_logic;
        analog_signals_AT0 : in std_logic;
        analog_signals_AT1 : in std_logic;
        analog_signals_AT2 : in std_logic;
        analog_signals_AT3 : in std_logic;
        analog_signals_AT4 : in std_logic;
        analog_signals_AT5 : in std_logic;
        analog_signals_AT6 : in std_logic;
        analog_signals_AT7 : in std_logic;
        analog_signals_AT8 : in std_logic;
        analog_signals_AT9 : in std_logic;
        analog_signals_ATRETURN0 : in std_logic;
        analog_signals_ATRETURN1 : in std_logic;
        analog_signals_ATRETURN2 : in std_logic;
        analog_signals_ATRETURN3 : in std_logic;
        analog_signals_ATRETURN4 : in std_logic;
        analog_signals_AV0 : in std_logic;
        analog_signals_AV1 : in std_logic;
        analog_signals_AV2 : in std_logic;
        analog_signals_AV3 : in std_logic;
        analog_signals_AV4 : in std_logic;
        analog_signals_AV5 : in std_logic;
        analog_signals_AV6 : in std_logic;
        analog_signals_AV7 : in std_logic;
        analog_signals_AV8 : in std_logic;
        analog_signals_AV9 : in std_logic;
        analog_signals_GNDREF : in std_logic;
        dataIn : in std_logic_vector(31 downto 0);
        dataIn_01 : in std_logic_vector(14 downto 0);
        -- Outputs
        DACOUT_DACOUT0 : out std_logic;
        DACOUT_DACOUT1 : out std_logic;
        DACOUT_DACOUT2 : out std_logic;
        DACOUT_DACOUT3 : out std_logic;
        DACOUT_DACOUT4 : out std_logic;
        DACOUT_DACOUT5 : out std_logic;
        DACOUT_DACOUT6 : out std_logic;
        DACOUT_DACOUT7 : out std_logic;
        DACOUT_DACOUT8 : out std_logic;
        DACOUT_DACOUT9 : out std_logic;
        DATOUT_DATOUT0 : out std_logic;
        DATOUT_DATOUT1 : out std_logic;
        DATOUT_DATOUT2 : out std_logic;
        DATOUT_DATOUT3 : out std_logic;
        DATOUT_DATOUT4 : out std_logic;
        DATOUT_DATOUT5 : out std_logic;
        DATOUT_DATOUT6 : out std_logic;
        DATOUT_DATOUT7 : out std_logic;
        DATOUT_DATOUT8 : out std_logic;
        DATOUT_DATOUT9 : out std_logic;
        DAVOUT_DAVOUT0 : out std_logic;
        DAVOUT_DAVOUT1 : out std_logic;
        DAVOUT_DAVOUT2 : out std_logic;
        DAVOUT_DAVOUT3 : out std_logic;
        DAVOUT_DAVOUT4 : out std_logic;
        DAVOUT_DAVOUT5 : out std_logic;
        DAVOUT_DAVOUT6 : out std_logic;
        DAVOUT_DAVOUT7 : out std_logic;
        DAVOUT_DAVOUT8 : out std_logic;
        DAVOUT_DAVOUT9 : out std_logic;
        ExternalMemoryInterface_FlashCSN : out std_logic;
        ExternalMemoryInterface_FlashOEnN : out std_logic;
        ExternalMemoryInterface_FlashWEnN : out std_logic;
        ExternalMemoryInterface_MemAddr : out std_logic_vector(27 downto 0);
        ExternalMemoryInterface_MemReadN : out std_logic;
        ExternalMemoryInterface_MemWriteN : out std_logic;
        ExternalMemoryInterface_SramByteN : out std_logic_vector(3 downto 0);
        ExternalMemoryInterface_SramCSN : out std_logic;
        ExternalMemoryInterface_SramClk : out std_logic;
        ExternalMemoryInterface_SramOEnN : out std_logic;
        ExternalMemoryInterface_SramWEnN : out std_logic;
        FIQ : out std_logic;
        IRQ : out std_logic;
        PWM : out std_logic_vector(8 downto 1);
        RTC_RTCMATCH : out std_logic;
        RTC_RTCPSMMATCH : out std_logic;
        RTC_RTCXTLMODE0 : out std_logic;
        RTC_RTCXTLMODE1 : out std_logic;
        RTC_RTCXTLSEL : out std_logic;
        TX : out std_logic;
        UJTAG_UJTAG_TDO : out std_logic;
        analog_signals_AG0 : out std_logic;
        analog_signals_AG1 : out std_logic;
        analog_signals_AG2 : out std_logic;
        analog_signals_AG3 : out std_logic;
        analog_signals_AG4 : out std_logic;
        analog_signals_AG5 : out std_logic;
        analog_signals_AG6 : out std_logic;
        analog_signals_AG7 : out std_logic;
        analog_signals_AG8 : out std_logic;
        analog_signals_AG9 : out std_logic;
        dataOut : out std_logic_vector(31 downto 0);
        dataOut_01 : out std_logic_vector(14 downto 0);
        -- Inouts
        ExternalMemoryInterface_MemData : inout std_logic_vector(31 downto 0);
        analog_signals_VAREF : inout std_logic
    );
end ccTop;

----------------------------------------------------------------------
-- ccTop architecture body
----------------------------------------------------------------------

architecture RTL of ccTop is 

    --
    -- Component declarations
    --

    -- CoreAHB2APB
    component CoreAHB2APB
        -- Port list
        port(
            -- Inputs
            HADDR : in std_logic_vector(27 downto 0);
            HCLK : in std_logic;
            HREADY : in std_logic;
            HRESETn : in std_logic;
            HSEL : in std_logic;
            HTRANS : in std_logic_vector(1 downto 0);
            HWDATA : in std_logic_vector(31 downto 0);
            HWRITE : in std_logic;
            PRDATA : in std_logic_vector(31 downto 0);
            -- Outputs
            HRDATA : out std_logic_vector(31 downto 0);
            HREADYOUT : out std_logic;
            HRESP : out std_logic_vector(1 downto 0);
            PADDR : out std_logic_vector(23 downto 0);
            PENABLE : out std_logic;
            PSELECT : out std_logic_vector(15 downto 0);
            PWDATA : out std_logic_vector(31 downto 0);
            PWRITE : out std_logic
        );
    end component;

    -- CoreAHBLite
    component CoreAHBLite
        -- Configuration generics
        generic(
            AhbSlot0Enable : integer := 1;
            AhbSlot10Enable : integer := 1;
            AhbSlot11Enable : integer := 1;
            AhbSlot12Enable : integer := 1;
            AhbSlot13Enable : integer := 1;
            AhbSlot14Enable : integer := 1;
            AhbSlot15Enable : integer := 1;
            AhbSlot1Enable : integer := 1;
            AhbSlot2Enable : integer := 1;
            AhbSlot3Enable : integer := 1;
            AhbSlot4Enable : integer := 1;
            AhbSlot5Enable : integer := 1;
            AhbSlot6Enable : integer := 1;
            AhbSlot7Enable : integer := 1;
            AhbSlot8Enable : integer := 1;
            AhbSlot9Enable : integer := 1
        );
        -- Port list
        port(
            -- Inputs
            HADDR : in std_logic_vector(31 downto 0);
            HBURST : in std_logic_vector(2 downto 0);
            HCLK : in std_logic;
            HPROT : in std_logic_vector(3 downto 0);
            HRDATAS0 : in std_logic_vector(31 downto 0);
            HRDATAS1 : in std_logic_vector(31 downto 0);
            HRDATAS10 : in std_logic_vector(31 downto 0);
            HRDATAS11 : in std_logic_vector(31 downto 0);
            HRDATAS12 : in std_logic_vector(31 downto 0);
            HRDATAS13 : in std_logic_vector(31 downto 0);
            HRDATAS14 : in std_logic_vector(31 downto 0);
            HRDATAS15 : in std_logic_vector(31 downto 0);
            HRDATAS2 : in std_logic_vector(31 downto 0);
            HRDATAS3 : in std_logic_vector(31 downto 0);
            HRDATAS4 : in std_logic_vector(31 downto 0);
            HRDATAS5 : in std_logic_vector(31 downto 0);
            HRDATAS6 : in std_logic_vector(31 downto 0);
            HRDATAS7 : in std_logic_vector(31 downto 0);
            HRDATAS8 : in std_logic_vector(31 downto 0);
            HRDATAS9 : in std_logic_vector(31 downto 0);
            HREADYS0 : in std_logic;
            HREADYS1 : in std_logic;
            HREADYS10 : in std_logic;
            HREADYS11 : in std_logic;
            HREADYS12 : in std_logic;
            HREADYS13 : in std_logic;
            HREADYS14 : in std_logic;
            HREADYS15 : in std_logic;
            HREADYS2 : in std_logic;
            HREADYS3 : in std_logic;
            HREADYS4 : in std_logic;
            HREADYS5 : in std_logic;
            HREADYS6 : in std_logic;
            HREADYS7 : in std_logic;
            HREADYS8 : in std_logic;
            HREADYS9 : in std_logic;
            HRESETn : in std_logic;
            HRESPS0 : in std_logic_vector(1 downto 0);
            HRESPS1 : in std_logic_vector(1 downto 0);
            HRESPS10 : in std_logic_vector(1 downto 0);
            HRESPS11 : in std_logic_vector(1 downto 0);
            HRESPS12 : in std_logic_vector(1 downto 0);
            HRESPS13 : in std_logic_vector(1 downto 0);
            HRESPS14 : in std_logic_vector(1 downto 0);
            HRESPS15 : in std_logic_vector(1 downto 0);
            HRESPS2 : in std_logic_vector(1 downto 0);
            HRESPS3 : in std_logic_vector(1 downto 0);
            HRESPS4 : in std_logic_vector(1 downto 0);
            HRESPS5 : in std_logic_vector(1 downto 0);
            HRESPS6 : in std_logic_vector(1 downto 0);
            HRESPS7 : in std_logic_vector(1 downto 0);
            HRESPS8 : in std_logic_vector(1 downto 0);
            HRESPS9 : in std_logic_vector(1 downto 0);
            HSIZE : in std_logic_vector(2 downto 0);
            HTRANS : in std_logic_vector(1 downto 0);
            HWDATA : in std_logic_vector(31 downto 0);
            HWRITE : in std_logic;
            Remap : in std_logic;
            -- Outputs
            HADDRS : out std_logic_vector(31 downto 0);
            HBURSTS : out std_logic_vector(2 downto 0);
            HPROTS : out std_logic_vector(3 downto 0);
            HRDATA : out std_logic_vector(31 downto 0);
            HREADY : out std_logic;
            HREADYS : out std_logic;
            HRESP : out std_logic_vector(1 downto 0);
            HSELS0 : out std_logic;
            HSELS1 : out std_logic;
            HSELS10 : out std_logic;
            HSELS11 : out std_logic;
            HSELS12 : out std_logic;
            HSELS13 : out std_logic;
            HSELS14 : out std_logic;
            HSELS15 : out std_logic;
            HSELS2 : out std_logic;
            HSELS3 : out std_logic;
            HSELS4 : out std_logic;
            HSELS5 : out std_logic;
            HSELS6 : out std_logic;
            HSELS7 : out std_logic;
            HSELS8 : out std_logic;
            HSELS9 : out std_logic;
            HSIZES : out std_logic_vector(2 downto 0);
            HTRANSS : out std_logic_vector(1 downto 0);
            HWDATAS : out std_logic_vector(31 downto 0);
            HWRITES : out std_logic
        );
    end component;

    -- COREAI
    component COREAI
        -- Configuration generics
        generic(
            ACM_CLK_DIV : integer := 2;
            ACTLOW_INTERRUPT : integer := 0;
            APB_16BIT_DATA : integer := 1;
            CFG_AC0 : integer := 16#205#;
            CFG_AC1 : integer := 16#205#;
            CFG_AC2 : integer := 16#205#;
            CFG_AC3 : integer := 16#205#;
            CFG_AC4 : integer := 16#205#;
            CFG_AC5 : integer := 16#205#;
            CFG_AC6 : integer := 16#001#;
            CFG_AC7 : integer := 16#001#;
            CFG_AC8 : integer := 16#300#;
            CFG_AC9 : integer := 16#001#;
            CFG_AT0 : integer := 16#204#;
            CFG_AT1 : integer := 16#204#;
            CFG_AT2 : integer := 16#204#;
            CFG_AT3 : integer := 16#204#;
            CFG_AT4 : integer := 16#204#;
            CFG_AT5 : integer := 16#204#;
            CFG_AT6 : integer := 16#300#;
            CFG_AT7 : integer := 16#300#;
            CFG_AT8 : integer := 16#001#;
            CFG_AT9 : integer := 16#001#;
            CFG_AV0 : integer := 16#004#;
            CFG_AV1 : integer := 16#004#;
            CFG_AV2 : integer := 16#004#;
            CFG_AV3 : integer := 16#004#;
            CFG_AV4 : integer := 16#004#;
            CFG_AV5 : integer := 16#004#;
            CFG_AV6 : integer := 16#004#;
            CFG_AV7 : integer := 16#001#;
            CFG_AV8 : integer := 16#003#;
            CFG_AV9 : integer := 16#004#;
            CFG_GD0 : integer := 16#006#;
            CFG_GD1 : integer := 16#006#;
            CFG_GD2 : integer := 16#006#;
            CFG_GD3 : integer := 16#006#;
            CFG_GD4 : integer := 16#006#;
            CFG_GD5 : integer := 16#006#;
            CFG_GD6 : integer := 16#300#;
            CFG_GD7 : integer := 16#300#;
            CFG_GD8 : integer := 16#300#;
            CFG_GD9 : integer := 16#300#;
            DISABLE_INTERRUPT : integer := 0;
            DISABLE_TMSTBINT : integer := 0;
            FIXED_MODE : integer := 0;
            FIXED_MODE_VAL : integer := 0;
            FIXED_STC : integer := 0;
            FIXED_STC_VAL : integer := 0;
            FIXED_TVC : integer := 1;
            FIXED_TVC_VAL : integer := 0;
            FIXED_VAREFSEL : integer := 1;
            FIXED_VAREFSEL_VAL : integer := 0;
            USE_RDFIFO : integer := 0;
            USE_RDFIFO_AEVAL : integer := 0;
            USE_RDFIFO_AFVAL : integer := 0;
            USE_RTC : integer := 1
        );
        -- Port list
        port(
            -- Inputs
            AC0 : in std_logic;
            AC1 : in std_logic;
            AC2 : in std_logic;
            AC3 : in std_logic;
            AC4 : in std_logic;
            AC5 : in std_logic;
            AC6 : in std_logic;
            AC7 : in std_logic;
            AC8 : in std_logic;
            AC9 : in std_logic;
            AT0 : in std_logic;
            AT1 : in std_logic;
            AT2 : in std_logic;
            AT3 : in std_logic;
            AT4 : in std_logic;
            AT5 : in std_logic;
            AT6 : in std_logic;
            AT7 : in std_logic;
            AT8 : in std_logic;
            AT9 : in std_logic;
            ATRETURN0 : in std_logic;
            ATRETURN1 : in std_logic;
            ATRETURN2 : in std_logic;
            ATRETURN3 : in std_logic;
            ATRETURN4 : in std_logic;
            AV0 : in std_logic;
            AV1 : in std_logic;
            AV2 : in std_logic;
            AV3 : in std_logic;
            AV4 : in std_logic;
            AV5 : in std_logic;
            AV6 : in std_logic;
            AV7 : in std_logic;
            AV8 : in std_logic;
            AV9 : in std_logic;
            DDGDON0 : in std_logic;
            DDGDON1 : in std_logic;
            DDGDON2 : in std_logic;
            DDGDON3 : in std_logic;
            DDGDON4 : in std_logic;
            DDGDON5 : in std_logic;
            DDGDON6 : in std_logic;
            DDGDON7 : in std_logic;
            DDGDON8 : in std_logic;
            DDGDON9 : in std_logic;
            GNDREF : in std_logic;
            PADDR : in std_logic_vector(5 downto 1);
            PCLK : in std_logic;
            PENABLE : in std_logic;
            PRESETN : in std_logic;
            PSEL : in std_logic;
            PWDATA : in std_logic_vector(15 downto 0);
            PWRITE : in std_logic;
            RTCCLK : in std_logic;
            -- Outputs
            AG0 : out std_logic;
            AG1 : out std_logic;
            AG2 : out std_logic;
            AG3 : out std_logic;
            AG4 : out std_logic;
            AG5 : out std_logic;
            AG6 : out std_logic;
            AG7 : out std_logic;
            AG8 : out std_logic;
            AG9 : out std_logic;
            DACOUT0 : out std_logic;
            DACOUT1 : out std_logic;
            DACOUT2 : out std_logic;
            DACOUT3 : out std_logic;
            DACOUT4 : out std_logic;
            DACOUT5 : out std_logic;
            DACOUT6 : out std_logic;
            DACOUT7 : out std_logic;
            DACOUT8 : out std_logic;
            DACOUT9 : out std_logic;
            DATOUT0 : out std_logic;
            DATOUT1 : out std_logic;
            DATOUT2 : out std_logic;
            DATOUT3 : out std_logic;
            DATOUT4 : out std_logic;
            DATOUT5 : out std_logic;
            DATOUT6 : out std_logic;
            DATOUT7 : out std_logic;
            DATOUT8 : out std_logic;
            DATOUT9 : out std_logic;
            DAVOUT0 : out std_logic;
            DAVOUT1 : out std_logic;
            DAVOUT2 : out std_logic;
            DAVOUT3 : out std_logic;
            DAVOUT4 : out std_logic;
            DAVOUT5 : out std_logic;
            DAVOUT6 : out std_logic;
            DAVOUT7 : out std_logic;
            DAVOUT8 : out std_logic;
            DAVOUT9 : out std_logic;
            INTERRUPT : out std_logic;
            PRDATA : out std_logic_vector(15 downto 0);
            RTCMATCH : out std_logic;
            RTCPSMMATCH : out std_logic;
            RTCXTLMODE0 : out std_logic;
            RTCXTLMODE1 : out std_logic;
            RTCXTLSEL : out std_logic;
            -- Inouts
            VAREF : inout std_logic
        );
    end component;

    -- CoreAPB
    component CoreAPB
        -- Configuration generics
        generic(
            ApbSlot0Enable : integer := 1;
            ApbSlot10Enable : integer := 1;
            ApbSlot11Enable : integer := 1;
            ApbSlot12Enable : integer := 1;
            ApbSlot13Enable : integer := 1;
            ApbSlot14Enable : integer := 1;
            ApbSlot15Enable : integer := 1;
            ApbSlot1Enable : integer := 1;
            ApbSlot2Enable : integer := 1;
            ApbSlot3Enable : integer := 1;
            ApbSlot4Enable : integer := 1;
            ApbSlot5Enable : integer := 1;
            ApbSlot6Enable : integer := 1;
            ApbSlot7Enable : integer := 1;
            ApbSlot8Enable : integer := 1;
            ApbSlot9Enable : integer := 1
        );
        -- Port list
        port(
            -- Inputs
            PADDR : in std_logic_vector(23 downto 0);
            PENABLE : in std_logic;
            PRDATAS0 : in std_logic_vector(31 downto 0);
            PRDATAS1 : in std_logic_vector(31 downto 0);
            PRDATAS10 : in std_logic_vector(31 downto 0);
            PRDATAS11 : in std_logic_vector(31 downto 0);
            PRDATAS12 : in std_logic_vector(31 downto 0);
            PRDATAS13 : in std_logic_vector(31 downto 0);
            PRDATAS14 : in std_logic_vector(31 downto 0);
            PRDATAS15 : in std_logic_vector(31 downto 0);
            PRDATAS2 : in std_logic_vector(31 downto 0);
            PRDATAS3 : in std_logic_vector(31 downto 0);
            PRDATAS4 : in std_logic_vector(31 downto 0);
            PRDATAS5 : in std_logic_vector(31 downto 0);
            PRDATAS6 : in std_logic_vector(31 downto 0);
            PRDATAS7 : in std_logic_vector(31 downto 0);
            PRDATAS8 : in std_logic_vector(31 downto 0);
            PRDATAS9 : in std_logic_vector(31 downto 0);
            PSELECT : in std_logic_vector(15 downto 0);
            PWDATA : in std_logic_vector(31 downto 0);
            PWRITE : in std_logic;
            -- Outputs
            PADDRS : out std_logic_vector(23 downto 0);
            PENABLES : out std_logic;
            PRDATA : out std_logic_vector(31 downto 0);
            PSELS0 : out std_logic;
            PSELS1 : out std_logic;
            PSELS10 : out std_logic;
            PSELS11 : out std_logic;
            PSELS12 : out std_logic;
            PSELS13 : out std_logic;
            PSELS14 : out std_logic;
            PSELS15 : out std_logic;
            PSELS2 : out std_logic;
            PSELS3 : out std_logic;
            PSELS4 : out std_logic;
            PSELS5 : out std_logic;
            PSELS6 : out std_logic;
            PSELS7 : out std_logic;
            PSELS8 : out std_logic;
            PSELS9 : out std_logic;
            PWDATAS : out std_logic_vector(31 downto 0);
            PWRITES : out std_logic
        );
    end component;

    -- CoreAhbNvm
    component CoreAhbNvm
        -- Configuration generics
        generic(
            NVM_INSTANCES : integer := 1
        );
        -- Port list
        port(
            -- Inputs
            HADDR : in std_logic_vector(19 downto 0);
            HCLK : in std_logic;
            HREADYIN : in std_logic;
            HRESETn : in std_logic;
            HSEL : in std_logic;
            HSIZE : in std_logic_vector(2 downto 0);
            HTRANS : in std_logic_vector(1 downto 0);
            HWDATA : in std_logic_vector(31 downto 0);
            HWRITE : in std_logic;
            -- Outputs
            HRDATA : out std_logic_vector(31 downto 0);
            HREADY : out std_logic;
            HRESP : out std_logic_vector(1 downto 0)
        );
    end component;

    -- CoreGPIO
    component CoreGPIO
        -- Configuration generics
        generic(
            NUM_INPUTS : integer := 32;
            NUM_OUTPUTS : integer := 32
        );
        -- Port list
        port(
            -- Inputs
            PADDR : in std_logic_vector(5 downto 2);
            PCLK : in std_logic;
            PENABLE : in std_logic;
            PRESETn : in std_logic;
            PSEL : in std_logic;
            PWDATA : in std_logic_vector(31 downto 0);
            PWRITE : in std_logic;
            dataIn : in std_logic_vector(31 downto 0);
            -- Outputs
            PRDATA : out std_logic_vector(31 downto 0);
            dataOut : out std_logic_vector(31 downto 0)
        );
    end component;

    -- CoreInterrupt
    component CoreInterrupt
        -- Configuration generics
        generic(
            FIQPOLARITY : integer := 1;
            IRQPOLARITY : integer := 1;
            NUMFIQSRC : integer := 0;
            NUMIRQSRC : integer := 4
        );
        -- Port list
        port(
            -- Inputs
            PADDR : in std_logic_vector(5 downto 2);
            PCLK : in std_logic;
            PENABLE : in std_logic;
            PRESETn : in std_logic;
            PSEL : in std_logic;
            PWDATA : in std_logic_vector(31 downto 0);
            PWRITE : in std_logic;
            fiqSource0 : in std_logic;
            fiqSource1 : in std_logic;
            fiqSource2 : in std_logic;
            fiqSource3 : in std_logic;
            fiqSource4 : in std_logic;
            fiqSource5 : in std_logic;
            fiqSource6 : in std_logic;
            fiqSource7 : in std_logic;
            irqSource0 : in std_logic;
            irqSource1 : in std_logic;
            irqSource10 : in std_logic;
            irqSource11 : in std_logic;
            irqSource12 : in std_logic;
            irqSource13 : in std_logic;
            irqSource14 : in std_logic;
            irqSource15 : in std_logic;
            irqSource16 : in std_logic;
            irqSource17 : in std_logic;
            irqSource18 : in std_logic;
            irqSource19 : in std_logic;
            irqSource2 : in std_logic;
            irqSource20 : in std_logic;
            irqSource21 : in std_logic;
            irqSource22 : in std_logic;
            irqSource23 : in std_logic;
            irqSource24 : in std_logic;
            irqSource25 : in std_logic;
            irqSource26 : in std_logic;
            irqSource27 : in std_logic;
            irqSource28 : in std_logic;
            irqSource29 : in std_logic;
            irqSource3 : in std_logic;
            irqSource30 : in std_logic;
            irqSource31 : in std_logic;
            irqSource4 : in std_logic;
            irqSource5 : in std_logic;
            irqSource6 : in std_logic;
            irqSource7 : in std_logic;
            irqSource8 : in std_logic;
            irqSource9 : in std_logic;
            -- Outputs
            FIQ : out std_logic;
            IRQ : out std_logic;
            PRDATA : out std_logic_vector(31 downto 0)
        );
    end component;

    -- CoreMemCtrl
    component CoreMemCtrl
        -- Configuration generics
        generic(
            FLASH_16BIT : integer := 0;
            FLOW_THROUGH : integer := 0;
            NUM_WS_FLASH_READ : integer := 3;
            NUM_WS_FLASH_WRITE : integer := 3;
            NUM_WS_SRAM_READ : integer := 2;
            NUM_WS_SRAM_WRITE : integer := 3;
            SHARED_RW : integer := 0;
            SYNC_SRAM : integer := 0
        );
        -- Port list
        port(
            -- Inputs
            HADDR : in std_logic_vector(27 downto 0);
            HCLK : in std_logic;
            HREADYIN : in std_logic;
            HRESETn : in std_logic;
            HSELflash : in std_logic;
            HSELsram : in std_logic;
            HSIZE : in std_logic_vector(2 downto 0);
            HTRANS : in std_logic_vector(1 downto 0);
            HWDATA : in std_logic_vector(31 downto 0);
            HWRITE : in std_logic;
            -- Outputs
            FlashCSN : out std_logic;
            FlashOEnN : out std_logic;
            FlashWEnN : out std_logic;
            HRDATAflash : out std_logic_vector(31 downto 0);
            HRDATAsram : out std_logic_vector(31 downto 0);
            HREADYflash : out std_logic;
            HREADYsram : out std_logic;
            HRESPflash : out std_logic_vector(1 downto 0);
            HRESPsram : out std_logic_vector(1 downto 0);
            MemAddr : out std_logic_vector(27 downto 0);
            MemReadN : out std_logic;
            MemWriteN : out std_logic;
            SramByteN : out std_logic_vector(3 downto 0);
            SramCSN : out std_logic;
            SramClk : out std_logic;
            SramOEnN : out std_logic;
            SramWEnN : out std_logic;
            -- Inouts
            MemData : inout std_logic_vector(31 downto 0)
        );
    end component;

    -- corepwm
    component corepwm
        -- Configuration generics
        generic(
            FIXED_ENABLE : integer := 16#FF#;
            FIXED_INT_MASK : integer := 16#00#;
            FIXED_PERIOD : integer := 16#08#;
            FIXED_PRESCALE : integer := 16#08#;
            FIXED_PWM1_NEGEDGE : integer := 0;
            FIXED_PWM1_POSEDGE : integer := 0;
            FIXED_PWM2_NEGEDGE : integer := 0;
            FIXED_PWM2_POSEDGE : integer := 0;
            FIXED_PWM3_NEGEDGE : integer := 0;
            FIXED_PWM3_POSEDGE : integer := 0;
            FIXED_PWM4_NEGEDGE : integer := 0;
            FIXED_PWM4_POSEDGE : integer := 0;
            FIXED_PWM5_NEGEDGE : integer := 0;
            FIXED_PWM5_POSEDGE : integer := 0;
            FIXED_PWM6_NEGEDGE : integer := 0;
            FIXED_PWM6_POSEDGE : integer := 0;
            FIXED_PWM7_NEGEDGE : integer := 0;
            FIXED_PWM7_POSEDGE : integer := 0;
            FIXED_PWM8_NEGEDGE : integer := 0;
            FIXED_PWM8_POSEDGE : integer := 0;
            PWM_FIXED_REG_SEL : integer := 16#00#
        );
        -- Port list
        port(
            -- Inputs
            PADDR : in std_logic_vector(6 downto 2);
            PCLK : in std_logic;
            PENABLE : in std_logic;
            PRESET_N : in std_logic;
            PSEL : in std_logic;
            PWDATA : in std_logic_vector(7 downto 0);
            PWRITE : in std_logic;
            -- Outputs
            INT : out std_logic;
            PRDATA : out std_logic_vector(7 downto 0);
            PWM : out std_logic_vector(8 downto 1)
        );
    end component;

    -- CoreRemap
    component CoreRemap
        -- Port list
        port(
            -- Inputs
            PADDR : in std_logic_vector(5 downto 2);
            PCLK : in std_logic;
            PENABLE : in std_logic;
            PRESETn : in std_logic;
            PSEL : in std_logic;
            PWDATA : in std_logic_vector(7 downto 0);
            PWRITE : in std_logic;
            RemapDefault : in std_logic;
            -- Outputs
            PRDATA : out std_logic_vector(7 downto 0);
            Remap : out std_logic
        );
    end component;

    -- CoreTimer
    component CoreTimer
        -- Configuration generics
        generic(
            INTACTIVEH : integer := 1;
            WIDTH : integer := 32
        );
        -- Port list
        port(
            -- Inputs
            PADDR : in std_logic_vector(4 downto 2);
            PCLK : in std_logic;
            PENABLE : in std_logic;
            PRESETn : in std_logic;
            PSEL : in std_logic;
            PWDATA : in std_logic_vector(31 downto 0);
            PWRITE : in std_logic;
            -- Outputs
            PRDATA : out std_logic_vector(31 downto 0);
            TIMINT : out std_logic
        );
    end component;

    -- CoreUARTapb
    component CoreUARTapb
        -- Configuration generics
        generic(
            BAUD_VALUE : integer := 24;
            FAMILY : integer := 17;
            FIXEDMODE : integer := 0;
            PRG_BIT8 : integer := 1;
            PRG_PARITY : integer := 0;
            RX_FIFO : integer := 0;
            TX_FIFO : integer := 0
        );
        -- Port list
        port(
            -- Inputs
            PADDR : in std_logic_vector(4 downto 2);
            PCLK : in std_logic;
            PENABLE : in std_logic;
            PRESETN : in std_logic;
            PSEL : in std_logic;
            PWDATA : in std_logic_vector(7 downto 0);
            PWRITE : in std_logic;
            RX : in std_logic;
            -- Outputs
            OVERFLOW : out std_logic;
            PARITY_ERR : out std_logic;
            PRDATA : out std_logic_vector(7 downto 0);
            RXRDY : out std_logic;
            TX : out std_logic;
            TXRDY : out std_logic
        );
    end component;

    -- CortexM1Top
    component CortexM1Top
        -- Configuration generics
        generic(
            DEBUG : integer := 2
        );
        -- Port list
        port(
            -- Inputs
            EDBGRQ : in std_logic;
            HCLK : in std_logic;
            HRDATA : in std_logic_vector(31 downto 0);
            HREADY : in std_logic;
            HRESP : in std_logic_vector(1 downto 0);
            IRQ0 : in std_logic;
            IRQ1 : in std_logic;
            IRQ10 : in std_logic;
            IRQ11 : in std_logic;
            IRQ12 : in std_logic;
            IRQ13 : in std_logic;
            IRQ14 : in std_logic;
            IRQ15 : in std_logic;
            IRQ16 : in std_logic;
            IRQ17 : in std_logic;
            IRQ18 : in std_logic;
            IRQ19 : in std_logic;
            IRQ2 : in std_logic;
            IRQ20 : in std_logic;
            IRQ21 : in std_logic;
            IRQ22 : in std_logic;
            IRQ23 : in std_logic;
            IRQ24 : in std_logic;
            IRQ25 : in std_logic;
            IRQ26 : in std_logic;
            IRQ27 : in std_logic;
            IRQ28 : in std_logic;
            IRQ29 : in std_logic;
            IRQ3 : in std_logic;
            IRQ30 : in std_logic;
            IRQ31 : in std_logic;
            IRQ4 : in std_logic;
            IRQ5 : in std_logic;
            IRQ6 : in std_logic;
            IRQ7 : in std_logic;
            IRQ8 : in std_logic;
            IRQ9 : in std_logic;
            NMI : in std_logic;
            NSYSRESET : in std_logic;
            RV_TCK : in std_logic;
            RV_TDI : in std_logic;
            RV_TMS : in std_logic;
            RV_nSRST_IN : in std_logic;
            RV_nTRST : in std_logic;
            UJTAG_TCK : in std_logic;
            UJTAG_TDI : in std_logic;
            UJTAG_TMS : in std_logic;
            UJTAG_TRSTB : in std_logic;
            WDOGRES : in std_logic;
            -- Outputs
            HADDR : out std_logic_vector(31 downto 0);
            HALTED : out std_logic;
            HBURST : out std_logic_vector(2 downto 0);
            HMASTLOCK : out std_logic;
            HPROT : out std_logic_vector(3 downto 0);
            HRESETn : out std_logic;
            HSIZE : out std_logic_vector(2 downto 0);
            HTRANS : out std_logic_vector(1 downto 0);
            HWDATA : out std_logic_vector(31 downto 0);
            HWRITE : out std_logic;
            JTAGTOP : out std_logic;
            LOCKUP : out std_logic;
            RV_RTCK : out std_logic;
            RV_TDOUT : out std_logic;
            RV_nTDOEN : out std_logic;
            UJTAG_TDO : out std_logic;
            WDOGRESn : out std_logic
        );
    end component;

    --
    -- Signal declarations
    --

    signal AHBmslave10_HRDATA : std_logic_vector(31 downto 0);
    signal AHBmslave10_HREADYOUT : std_logic;
    signal AHBmslave10_HRESP : std_logic_vector(1 downto 0);
    signal AHBmslave10_HSELx : std_logic;
    signal APBmslave0_PRDATA : std_logic_vector(31 downto 0);
    signal APBmslave0_PSELx : std_logic;
    signal APBmslave1_PRDATA : std_logic_vector(31 downto 0);
    signal APBmslave1_PSELx : std_logic;
    signal APBmslave2_PRDATA : std_logic_vector(31 downto 0);
    signal APBmslave2_PSELx : std_logic;
    signal APBmslave3_PRDATA : std_logic_vector(31 downto 0);
    signal APBmslave3_PSELx : std_logic;
    signal APBmslave4_PRDATA : std_logic_vector(31 downto 0);
    signal APBmslave4_PSELx : std_logic;
    signal APBmslave5_PRDATA : std_logic_vector(31 downto 0);
    signal APBmslave5_PSELx : std_logic;
    signal APBmslave6_PRDATA : std_logic_vector(31 downto 0);
    signal APBmslave6_PSELx : std_logic;
    signal APBmslave7_PRDATA : std_logic_vector(31 downto 0);
    signal APBmslave7_PSELx : std_logic;
    signal Autostitch_AHBmmaster_HADDR : std_logic_vector(31 downto 0);
    signal Autostitch_AHBmmaster_HBURST : std_logic_vector(2 downto 0);
    signal Autostitch_AHBmmaster_HPROT : std_logic_vector(3 downto 0);
    signal Autostitch_AHBmmaster_HRDATA : std_logic_vector(31 downto 0);
    signal Autostitch_AHBmmaster_HREADY : std_logic;
    signal Autostitch_AHBmmaster_HRESP : std_logic_vector(1 downto 0);
    signal Autostitch_AHBmmaster_HSIZE : std_logic_vector(2 downto 0);
    signal Autostitch_AHBmmaster_HTRANS : std_logic_vector(1 downto 0);
    signal Autostitch_AHBmmaster_HWDATA : std_logic_vector(31 downto 0);
    signal Autostitch_AHBmmaster_HWRITE : std_logic;
    signal Autostitch_APBmmaster_PADDR : std_logic_vector(23 downto 0);
    signal Autostitch_APBmmaster_PENABLE : std_logic;
    signal Autostitch_APBmmaster_PRDATA : std_logic_vector(31 downto 0);
    signal Autostitch_APBmmaster_PSELECT : std_logic_vector(15 downto 0);
    signal Autostitch_APBmmaster_PWDATA : std_logic_vector(31 downto 0);
    signal Autostitch_APBmmaster_PWRITE : std_logic;
    signal Bus_00_HRDATA : std_logic_vector(31 downto 0);
    signal Bus_00_HREADYOUT : std_logic;
    signal Bus_00_HRESP : std_logic_vector(1 downto 0);
    signal Bus_00_HSELx : std_logic;
    signal Bus_01_HRDATA : std_logic_vector(31 downto 0);
    signal Bus_01_HREADYOUT : std_logic;
    signal Bus_01_HRESP : std_logic_vector(1 downto 0);
    signal Bus_01_HSELx : std_logic;
    signal Bus_02_HRDATA : std_logic_vector(31 downto 0);
    signal Bus_02_HREADYOUT : std_logic;
    signal Bus_02_HRESP : std_logic_vector(1 downto 0);
    signal Bus_02_HSELx : std_logic;
    signal COREAIINT : std_logic;
    signal CoreAHBLite_00_HADDRS : std_logic_vector(31 downto 0);
    signal CoreAHBLite_00_HREADYS : std_logic;
    signal CoreAHBLite_00_HSIZES : std_logic_vector(2 downto 0);
    signal CoreAHBLite_00_HTRANSS : std_logic_vector(1 downto 0);
    signal CoreAHBLite_00_HWDATAS : std_logic_vector(31 downto 0);
    signal CoreAHBLite_00_HWRITES : std_logic;
    signal CoreAPB_00_PADDRS : std_logic_vector(23 downto 0);
    signal CoreAPB_00_PENABLES : std_logic;
    signal CoreAPB_00_PWDATAS : std_logic_vector(31 downto 0);
    signal CoreAPB_00_PWRITES : std_logic;
    signal PWMINT : std_logic;
    signal REMAP : std_logic;
    signal RESETn : std_logic;
    signal TIMINT : std_logic;
    signal UARTRXRDYINT : std_logic;

    signal iIRQ : std_logic;

begin

    --
    -- Signal assignments
    --

    IRQ <= iIRQ;

    -- Drive unused bits of nets to 0
    APBmslave0_PRDATA(31 downto 8) <= (others => '0');
    APBmslave1_PRDATA(31 downto 8) <= (others => '0');
    APBmslave4_PRDATA(31 downto 8) <= (others => '0');
    APBmslave7_PRDATA(31 downto 16) <= (others => '0');

    --
    -- Component instances
    --

    -- CoreAHB2APB_00
    CoreAHB2APB_00 : CoreAHB2APB
        -- Port map
        port map(
            -- Inputs
            HADDR => CoreAHBLite_00_HADDRS(27 downto 0),
            HCLK => SYSCLK,
            HREADY => CoreAHBLite_00_HREADYS,
            HRESETn => RESETn,
            HSEL => AHBmslave10_HSELx,
            HTRANS => CoreAHBLite_00_HTRANSS,
            HWDATA => CoreAHBLite_00_HWDATAS,
            HWRITE => CoreAHBLite_00_HWRITES,
            PRDATA => Autostitch_APBmmaster_PRDATA,
            -- Outputs
            HRDATA => AHBmslave10_HRDATA,
            HREADYOUT => AHBmslave10_HREADYOUT,
            HRESP => AHBmslave10_HRESP,
            PADDR => Autostitch_APBmmaster_PADDR,
            PENABLE => Autostitch_APBmmaster_PENABLE,
            PSELECT => Autostitch_APBmmaster_PSELECT,
            PWDATA => Autostitch_APBmmaster_PWDATA,
            PWRITE => Autostitch_APBmmaster_PWRITE
        );

    -- CoreAHBLite_00
    CoreAHBLite_00 : CoreAHBLite
        -- Configuration generics
        generic map(
            AhbSlot0Enable => 1,
            AhbSlot10Enable => 1,
            AhbSlot11Enable => 1,
            AhbSlot12Enable => 1,
            AhbSlot13Enable => 1,
            AhbSlot14Enable => 1,
            AhbSlot15Enable => 1,
            AhbSlot1Enable => 1,
            AhbSlot2Enable => 1,
            AhbSlot3Enable => 1,
            AhbSlot4Enable => 1,
            AhbSlot5Enable => 1,
            AhbSlot6Enable => 1,
            AhbSlot7Enable => 1,
            AhbSlot8Enable => 1,
            AhbSlot9Enable => 1
        )
        -- Port map
        port map(
            -- Inputs
            HADDR => Autostitch_AHBmmaster_HADDR,
            HBURST => Autostitch_AHBmmaster_HBURST,
            HCLK => SYSCLK,
            HPROT => Autostitch_AHBmmaster_HPROT,
            HRDATAS0 => Bus_01_HRDATA,
            HRDATAS1 => Bus_00_HRDATA,
            HRDATAS10 => AHBmslave10_HRDATA,
            HRDATAS11 => (others => '0'),
            HRDATAS12 => (others => '0'),
            HRDATAS13 => (others => '0'),
            HRDATAS14 => (others => '0'),
            HRDATAS15 => (others => '0'),
            HRDATAS2 => Bus_02_HRDATA,
            HRDATAS3 => (others => '0'),
            HRDATAS4 => (others => '0'),
            HRDATAS5 => (others => '0'),
            HRDATAS6 => (others => '0'),
            HRDATAS7 => (others => '0'),
            HRDATAS8 => (others => '0'),
            HRDATAS9 => (others => '0'),
            HREADYS0 => Bus_01_HREADYOUT,
            HREADYS1 => Bus_00_HREADYOUT,
            HREADYS10 => AHBmslave10_HREADYOUT,
            HREADYS11 => '1',
            HREADYS12 => '1',
            HREADYS13 => '1',
            HREADYS14 => '1',
            HREADYS15 => '1',
            HREADYS2 => Bus_02_HREADYOUT,
            HREADYS3 => '1',
            HREADYS4 => '1',
            HREADYS5 => '1',
            HREADYS6 => '1',
            HREADYS7 => '1',
            HREADYS8 => '1',
            HREADYS9 => '1',
            HRESETn => RESETn,
            HRESPS0 => Bus_01_HRESP,
            HRESPS1 => Bus_00_HRESP,
            HRESPS10 => AHBmslave10_HRESP,
            HRESPS11 => (others => '0'),
            HRESPS12 => (others => '0'),
            HRESPS13 => (others => '0'),
            HRESPS14 => (others => '0'),
            HRESPS15 => (others => '0'),
            HRESPS2 => Bus_02_HRESP,
            HRESPS3 => (others => '0'),
            HRESPS4 => (others => '0'),
            HRESPS5 => (others => '0'),
            HRESPS6 => (others => '0'),
            HRESPS7 => (others => '0'),
            HRESPS8 => (others => '0'),
            HRESPS9 => (others => '0'),
            HSIZE => Autostitch_AHBmmaster_HSIZE,
            HTRANS => Autostitch_AHBmmaster_HTRANS,
            HWDATA => Autostitch_AHBmmaster_HWDATA,
            HWRITE => Autostitch_AHBmmaster_HWRITE,
            Remap => REMAP,
            -- Outputs
            HADDRS => CoreAHBLite_00_HADDRS,
            HBURSTS => open,
            HPROTS => open,
            HRDATA => Autostitch_AHBmmaster_HRDATA,
            HREADY => Autostitch_AHBmmaster_HREADY,
            HREADYS => CoreAHBLite_00_HREADYS,
            HRESP => Autostitch_AHBmmaster_HRESP,
            HSELS0 => Bus_01_HSELx,
            HSELS1 => Bus_00_HSELx,
            HSELS10 => AHBmslave10_HSELx,
            HSELS11 => open,
            HSELS12 => open,
            HSELS13 => open,
            HSELS14 => open,
            HSELS15 => open,
            HSELS2 => Bus_02_HSELx,
            HSELS3 => open,
            HSELS4 => open,
            HSELS5 => open,
            HSELS6 => open,
            HSELS7 => open,
            HSELS8 => open,
            HSELS9 => open,
            HSIZES => CoreAHBLite_00_HSIZES,
            HTRANSS => CoreAHBLite_00_HTRANSS,
            HWDATAS => CoreAHBLite_00_HWDATAS,
            HWRITES => CoreAHBLite_00_HWRITES
        );

    -- CoreAI_00
    CoreAI_00 : COREAI
        -- Configuration generics
        generic map(
            ACM_CLK_DIV => 2,
            ACTLOW_INTERRUPT => 0,
            APB_16BIT_DATA => 1,
            CFG_AC0 => 16#205#,
            CFG_AC1 => 16#205#,
            CFG_AC2 => 16#205#,
            CFG_AC3 => 16#205#,
            CFG_AC4 => 16#205#,
            CFG_AC5 => 16#205#,
            CFG_AC6 => 16#001#,
            CFG_AC7 => 16#001#,
            CFG_AC8 => 16#300#,
            CFG_AC9 => 16#001#,
            CFG_AT0 => 16#204#,
            CFG_AT1 => 16#204#,
            CFG_AT2 => 16#204#,
            CFG_AT3 => 16#204#,
            CFG_AT4 => 16#204#,
            CFG_AT5 => 16#204#,
            CFG_AT6 => 16#300#,
            CFG_AT7 => 16#300#,
            CFG_AT8 => 16#001#,
            CFG_AT9 => 16#001#,
            CFG_AV0 => 16#004#,
            CFG_AV1 => 16#004#,
            CFG_AV2 => 16#004#,
            CFG_AV3 => 16#004#,
            CFG_AV4 => 16#004#,
            CFG_AV5 => 16#004#,
            CFG_AV6 => 16#004#,
            CFG_AV7 => 16#001#,
            CFG_AV8 => 16#003#,
            CFG_AV9 => 16#004#,
            CFG_GD0 => 16#006#,
            CFG_GD1 => 16#006#,
            CFG_GD2 => 16#006#,
            CFG_GD3 => 16#006#,
            CFG_GD4 => 16#006#,
            CFG_GD5 => 16#006#,
            CFG_GD6 => 16#300#,
            CFG_GD7 => 16#300#,
            CFG_GD8 => 16#300#,
            CFG_GD9 => 16#300#,
            DISABLE_INTERRUPT => 0,
            DISABLE_TMSTBINT => 0,
            FIXED_MODE => 0,
            FIXED_MODE_VAL => 0,
            FIXED_STC => 0,
            FIXED_STC_VAL => 0,
            FIXED_TVC => 1,
            FIXED_TVC_VAL => 0,
            FIXED_VAREFSEL => 1,
            FIXED_VAREFSEL_VAL => 0,
            USE_RDFIFO => 0,
            USE_RDFIFO_AEVAL => 0,
            USE_RDFIFO_AFVAL => 0,
            USE_RTC => 1
        )
        -- Port map
        port map(
            -- Inputs
            AC0 => analog_signals_AC0,
            AC1 => analog_signals_AC1,
            AC2 => analog_signals_AC2,
            AC3 => analog_signals_AC3,
            AC4 => analog_signals_AC4,
            AC5 => analog_signals_AC5,
            AC6 => analog_signals_AC6,
            AC7 => analog_signals_AC7,
            AC8 => analog_signals_AC8,
            AC9 => analog_signals_AC9,
            AT0 => analog_signals_AT0,
            AT1 => analog_signals_AT1,
            AT2 => analog_signals_AT2,
            AT3 => analog_signals_AT3,
            AT4 => analog_signals_AT4,
            AT5 => analog_signals_AT5,
            AT6 => analog_signals_AT6,
            AT7 => analog_signals_AT7,
            AT8 => analog_signals_AT8,
            AT9 => analog_signals_AT9,
            ATRETURN0 => analog_signals_ATRETURN0,
            ATRETURN1 => analog_signals_ATRETURN1,
            ATRETURN2 => analog_signals_ATRETURN2,
            ATRETURN3 => analog_signals_ATRETURN3,
            ATRETURN4 => analog_signals_ATRETURN4,
            AV0 => analog_signals_AV0,
            AV1 => analog_signals_AV1,
            AV2 => analog_signals_AV2,
            AV3 => analog_signals_AV3,
            AV4 => analog_signals_AV4,
            AV5 => analog_signals_AV5,
            AV6 => analog_signals_AV6,
            AV7 => analog_signals_AV7,
            AV8 => analog_signals_AV8,
            AV9 => analog_signals_AV9,
            DDGDON0 => DDGDON_DDGDON0,
            DDGDON1 => DDGDON_DDGDON1,
            DDGDON2 => DDGDON_DDGDON2,
            DDGDON3 => DDGDON_DDGDON3,
            DDGDON4 => DDGDON_DDGDON4,
            DDGDON5 => DDGDON_DDGDON5,
            DDGDON6 => DDGDON_DDGDON6,
            DDGDON7 => DDGDON_DDGDON7,
            DDGDON8 => DDGDON_DDGDON8,
            DDGDON9 => DDGDON_DDGDON9,
            GNDREF => analog_signals_GNDREF,
            PADDR => CoreAPB_00_PADDRS(5 downto 1),
            PCLK => SYSCLK,
            PENABLE => CoreAPB_00_PENABLES,
            PRESETN => RESETn,
            PSEL => APBmslave7_PSELx,
            PWDATA => CoreAPB_00_PWDATAS(15 downto 0),
            PWRITE => CoreAPB_00_PWRITES,
            RTCCLK => RTC_RTCCLK,
            -- Outputs
            AG0 => analog_signals_AG0,
            AG1 => analog_signals_AG1,
            AG2 => analog_signals_AG2,
            AG3 => analog_signals_AG3,
            AG4 => analog_signals_AG4,
            AG5 => analog_signals_AG5,
            AG6 => analog_signals_AG6,
            AG7 => analog_signals_AG7,
            AG8 => analog_signals_AG8,
            AG9 => analog_signals_AG9,
            DACOUT0 => DACOUT_DACOUT0,
            DACOUT1 => DACOUT_DACOUT1,
            DACOUT2 => DACOUT_DACOUT2,
            DACOUT3 => DACOUT_DACOUT3,
            DACOUT4 => DACOUT_DACOUT4,
            DACOUT5 => DACOUT_DACOUT5,
            DACOUT6 => DACOUT_DACOUT6,
            DACOUT7 => DACOUT_DACOUT7,
            DACOUT8 => DACOUT_DACOUT8,
            DACOUT9 => DACOUT_DACOUT9,
            DATOUT0 => DATOUT_DATOUT0,
            DATOUT1 => DATOUT_DATOUT1,
            DATOUT2 => DATOUT_DATOUT2,
            DATOUT3 => DATOUT_DATOUT3,
            DATOUT4 => DATOUT_DATOUT4,
            DATOUT5 => DATOUT_DATOUT5,
            DATOUT6 => DATOUT_DATOUT6,
            DATOUT7 => DATOUT_DATOUT7,
            DATOUT8 => DATOUT_DATOUT8,
            DATOUT9 => DATOUT_DATOUT9,
            DAVOUT0 => DAVOUT_DAVOUT0,
            DAVOUT1 => DAVOUT_DAVOUT1,
            DAVOUT2 => DAVOUT_DAVOUT2,
            DAVOUT3 => DAVOUT_DAVOUT3,
            DAVOUT4 => DAVOUT_DAVOUT4,
            DAVOUT5 => DAVOUT_DAVOUT5,
            DAVOUT6 => DAVOUT_DAVOUT6,
            DAVOUT7 => DAVOUT_DAVOUT7,
            DAVOUT8 => DAVOUT_DAVOUT8,
            DAVOUT9 => DAVOUT_DAVOUT9,
            INTERRUPT => COREAIINT,
            PRDATA => APBmslave7_PRDATA(15 downto 0),
            RTCMATCH => RTC_RTCMATCH,
            RTCPSMMATCH => RTC_RTCPSMMATCH,
            RTCXTLMODE0 => RTC_RTCXTLMODE0,
            RTCXTLMODE1 => RTC_RTCXTLMODE1,
            RTCXTLSEL => RTC_RTCXTLSEL,
            -- Inouts
            VAREF => analog_signals_VAREF
        );

    -- CoreAPB_00
    CoreAPB_00 : CoreAPB
        -- Configuration generics
        generic map(
            ApbSlot0Enable => 1,
            ApbSlot10Enable => 1,
            ApbSlot11Enable => 1,
            ApbSlot12Enable => 1,
            ApbSlot13Enable => 1,
            ApbSlot14Enable => 1,
            ApbSlot15Enable => 1,
            ApbSlot1Enable => 1,
            ApbSlot2Enable => 1,
            ApbSlot3Enable => 1,
            ApbSlot4Enable => 1,
            ApbSlot5Enable => 1,
            ApbSlot6Enable => 1,
            ApbSlot7Enable => 1,
            ApbSlot8Enable => 1,
            ApbSlot9Enable => 1
        )
        -- Port map
        port map(
            -- Inputs
            PADDR => Autostitch_APBmmaster_PADDR,
            PENABLE => Autostitch_APBmmaster_PENABLE,
            PRDATAS0 => APBmslave0_PRDATA,
            PRDATAS1 => APBmslave1_PRDATA,
            PRDATAS10 => (others => '0'),
            PRDATAS11 => (others => '0'),
            PRDATAS12 => (others => '0'),
            PRDATAS13 => (others => '0'),
            PRDATAS14 => (others => '0'),
            PRDATAS15 => (others => '0'),
            PRDATAS2 => APBmslave2_PRDATA,
            PRDATAS3 => APBmslave3_PRDATA,
            PRDATAS4 => APBmslave4_PRDATA,
            PRDATAS5 => APBmslave5_PRDATA,
            PRDATAS6 => APBmslave6_PRDATA,
            PRDATAS7 => APBmslave7_PRDATA,
            PRDATAS8 => (others => '0'),
            PRDATAS9 => (others => '0'),
            PSELECT => Autostitch_APBmmaster_PSELECT,
            PWDATA => Autostitch_APBmmaster_PWDATA,
            PWRITE => Autostitch_APBmmaster_PWRITE,
            -- Outputs
            PADDRS => CoreAPB_00_PADDRS,
            PENABLES => CoreAPB_00_PENABLES,
            PRDATA => Autostitch_APBmmaster_PRDATA,
            PSELS0 => APBmslave0_PSELx,
            PSELS1 => APBmslave1_PSELx,
            PSELS10 => open,
            PSELS11 => open,
            PSELS12 => open,
            PSELS13 => open,
            PSELS14 => open,
            PSELS15 => open,
            PSELS2 => APBmslave2_PSELx,
            PSELS3 => APBmslave3_PSELx,
            PSELS4 => APBmslave4_PSELx,
            PSELS5 => APBmslave5_PSELx,
            PSELS6 => APBmslave6_PSELx,
            PSELS7 => APBmslave7_PSELx,
            PSELS8 => open,
            PSELS9 => open,
            PWDATAS => CoreAPB_00_PWDATAS,
            PWRITES => CoreAPB_00_PWRITES
        );

    -- CoreAhbNvm_00
    CoreAhbNvm_00 : CoreAhbNvm
        -- Configuration generics
        generic map(
            NVM_INSTANCES => 1
        )
        -- Port map
        port map(
            -- Inputs
            HADDR => CoreAHBLite_00_HADDRS(19 downto 0),
            HCLK => SYSCLK,
            HREADYIN => CoreAHBLite_00_HREADYS,
            HRESETn => RESETn,
            HSEL => Bus_02_HSELx,
            HSIZE => CoreAHBLite_00_HSIZES,
            HTRANS => CoreAHBLite_00_HTRANSS,
            HWDATA => CoreAHBLite_00_HWDATAS,
            HWRITE => CoreAHBLite_00_HWRITES,
            -- Outputs
            HRDATA => Bus_02_HRDATA,
            HREADY => Bus_02_HREADYOUT,
            HRESP => Bus_02_HRESP
        );

    -- CoreGPIO_00
    CoreGPIO_00 : CoreGPIO
        -- Configuration generics
        generic map(
            NUM_INPUTS => 32,
            NUM_OUTPUTS => 32
        )
        -- Port map
        port map(
            -- Inputs
            PADDR => CoreAPB_00_PADDRS(5 downto 2),
            PCLK => SYSCLK,
            PENABLE => CoreAPB_00_PENABLES,
            PRESETn => RESETn,
            PSEL => APBmslave5_PSELx,
            PWDATA => CoreAPB_00_PWDATAS,
            PWRITE => CoreAPB_00_PWRITES,
            dataIn => dataIn,
            -- Outputs
            PRDATA => APBmslave5_PRDATA,
            dataOut => dataOut
        );

    -- CoreGPIO_01
    CoreGPIO_01 : CoreGPIO
        -- Configuration generics
        generic map(
            NUM_INPUTS => 15,
            NUM_OUTPUTS => 15
        )
        -- Port map
        port map(
            -- Inputs
            PADDR => CoreAPB_00_PADDRS(5 downto 2),
            PCLK => SYSCLK,
            PENABLE => CoreAPB_00_PENABLES,
            PRESETn => RESETn,
            PSEL => APBmslave6_PSELx,
            PWDATA => CoreAPB_00_PWDATAS,
            PWRITE => CoreAPB_00_PWRITES,
            dataIn => dataIn_01,
            -- Outputs
            PRDATA => APBmslave6_PRDATA,
            dataOut => dataOut_01
        );

    -- CoreInterrupt_00
    CoreInterrupt_00 : CoreInterrupt
        -- Configuration generics
        generic map(
            FIQPOLARITY => 1,
            IRQPOLARITY => 1,
            NUMFIQSRC => 0,
            NUMIRQSRC => 4
        )
        -- Port map
        port map(
            -- Inputs
            PADDR => CoreAPB_00_PADDRS(5 downto 2),
            PCLK => SYSCLK,
            PENABLE => CoreAPB_00_PENABLES,
            PRESETn => RESETn,
            PSEL => APBmslave3_PSELx,
            PWDATA => CoreAPB_00_PWDATAS,
            PWRITE => CoreAPB_00_PWRITES,
            fiqSource0 => '0',
            fiqSource1 => '0',
            fiqSource2 => '0',
            fiqSource3 => '0',
            fiqSource4 => '0',
            fiqSource5 => '0',
            fiqSource6 => '0',
            fiqSource7 => '0',
            irqSource0 => UARTRXRDYINT,
            irqSource1 => TIMINT,
            irqSource10 => '0',
            irqSource11 => '0',
            irqSource12 => '0',
            irqSource13 => '0',
            irqSource14 => '0',
            irqSource15 => '0',
            irqSource16 => '0',
            irqSource17 => '0',
            irqSource18 => '0',
            irqSource19 => '0',
            irqSource2 => PWMINT,
            irqSource20 => '0',
            irqSource21 => '0',
            irqSource22 => '0',
            irqSource23 => '0',
            irqSource24 => '0',
            irqSource25 => '0',
            irqSource26 => '0',
            irqSource27 => '0',
            irqSource28 => '0',
            irqSource29 => '0',
            irqSource3 => COREAIINT,
            irqSource30 => '0',
            irqSource31 => '0',
            irqSource4 => '0',
            irqSource5 => '0',
            irqSource6 => '0',
            irqSource7 => '0',
            irqSource8 => '0',
            irqSource9 => '0',
            -- Outputs
            FIQ => FIQ,
            IRQ => iIRQ,
            PRDATA => APBmslave3_PRDATA
        );

    -- CoreMemCtrl_00
    CoreMemCtrl_00 : CoreMemCtrl
        -- Configuration generics
        generic map(
            FLASH_16BIT => 0,
            FLOW_THROUGH => 0,
            NUM_WS_FLASH_READ => 3,
            NUM_WS_FLASH_WRITE => 3,
            NUM_WS_SRAM_READ => 2,
            NUM_WS_SRAM_WRITE => 3,
            SHARED_RW => 0,
            SYNC_SRAM => 0
        )
        -- Port map
        port map(
            -- Inputs
            HADDR => CoreAHBLite_00_HADDRS(27 downto 0),
            HCLK => SYSCLK,
            HREADYIN => CoreAHBLite_00_HREADYS,
            HRESETn => RESETn,
            HSELflash => Bus_01_HSELx,
            HSELsram => Bus_00_HSELx,
            HSIZE => CoreAHBLite_00_HSIZES,
            HTRANS => CoreAHBLite_00_HTRANSS,
            HWDATA => CoreAHBLite_00_HWDATAS,
            HWRITE => CoreAHBLite_00_HWRITES,
            -- Outputs
            FlashCSN => ExternalMemoryInterface_FlashCSN,
            FlashOEnN => ExternalMemoryInterface_FlashOEnN,
            FlashWEnN => ExternalMemoryInterface_FlashWEnN,
            HRDATAflash => Bus_01_HRDATA,
            HRDATAsram => Bus_00_HRDATA,
            HREADYflash => Bus_01_HREADYOUT,
            HREADYsram => Bus_00_HREADYOUT,
            HRESPflash => Bus_01_HRESP,
            HRESPsram => Bus_00_HRESP,
            MemAddr => ExternalMemoryInterface_MemAddr,
            MemReadN => ExternalMemoryInterface_MemReadN,
            MemWriteN => ExternalMemoryInterface_MemWriteN,
            SramByteN => ExternalMemoryInterface_SramByteN,
            SramCSN => ExternalMemoryInterface_SramCSN,
            SramClk => ExternalMemoryInterface_SramClk,
            SramOEnN => ExternalMemoryInterface_SramOEnN,
            SramWEnN => ExternalMemoryInterface_SramWEnN,
            -- Inouts
            MemData => ExternalMemoryInterface_MemData
        );

    -- CorePWM_00
    CorePWM_00 : corepwm
        -- Configuration generics
        generic map(
            FIXED_ENABLE => 16#FF#,
            FIXED_INT_MASK => 16#00#,
            FIXED_PERIOD => 16#08#,
            FIXED_PRESCALE => 16#08#,
            FIXED_PWM1_NEGEDGE => 0,
            FIXED_PWM1_POSEDGE => 0,
            FIXED_PWM2_NEGEDGE => 0,
            FIXED_PWM2_POSEDGE => 0,
            FIXED_PWM3_NEGEDGE => 0,
            FIXED_PWM3_POSEDGE => 0,
            FIXED_PWM4_NEGEDGE => 0,
            FIXED_PWM4_POSEDGE => 0,
            FIXED_PWM5_NEGEDGE => 0,
            FIXED_PWM5_POSEDGE => 0,
            FIXED_PWM6_NEGEDGE => 0,
            FIXED_PWM6_POSEDGE => 0,
            FIXED_PWM7_NEGEDGE => 0,
            FIXED_PWM7_POSEDGE => 0,
            FIXED_PWM8_NEGEDGE => 0,
            FIXED_PWM8_POSEDGE => 0,
            PWM_FIXED_REG_SEL => 16#00#
        )
        -- Port map
        port map(
            -- Inputs
            PADDR => CoreAPB_00_PADDRS(6 downto 2),
            PCLK => SYSCLK,
            PENABLE => CoreAPB_00_PENABLES,
            PRESET_N => RESETn,
            PSEL => APBmslave0_PSELx,
            PWDATA => CoreAPB_00_PWDATAS(7 downto 0),
            PWRITE => CoreAPB_00_PWRITES,
            -- Outputs
            INT => PWMINT,
            PRDATA => APBmslave0_PRDATA(7 downto 0),
            PWM => PWM
        );

    -- CoreRemap_00
    CoreRemap_00 : CoreRemap
        -- Port map
        port map(
            -- Inputs
            PADDR => CoreAPB_00_PADDRS(5 downto 2),
            PCLK => SYSCLK,
            PENABLE => CoreAPB_00_PENABLES,
            PRESETn => RESETn,
            PSEL => APBmslave4_PSELx,
            PWDATA => CoreAPB_00_PWDATAS(7 downto 0),
            PWRITE => CoreAPB_00_PWRITES,
            RemapDefault => RemapDefault,
            -- Outputs
            PRDATA => APBmslave4_PRDATA(7 downto 0),
            Remap => REMAP
        );

    -- CoreTimer_00
    CoreTimer_00 : CoreTimer
        -- Configuration generics
        generic map(
            INTACTIVEH => 1,
            WIDTH => 32
        )
        -- Port map
        port map(
            -- Inputs
            PADDR => CoreAPB_00_PADDRS(4 downto 2),
            PCLK => SYSCLK,
            PENABLE => CoreAPB_00_PENABLES,
            PRESETn => RESETn,
            PSEL => APBmslave2_PSELx,
            PWDATA => CoreAPB_00_PWDATAS,
            PWRITE => CoreAPB_00_PWRITES,
            -- Outputs
            PRDATA => APBmslave2_PRDATA,
            TIMINT => TIMINT
        );

    -- CoreUARTapb_00
    CoreUARTapb_00 : CoreUARTapb
        -- Configuration generics
        generic map(
            BAUD_VALUE => 24,
            FAMILY => 17,
            FIXEDMODE => 0,
            PRG_BIT8 => 1,
            PRG_PARITY => 0,
            RX_FIFO => 0,
            TX_FIFO => 0
        )
        -- Port map
        port map(
            -- Inputs
            PADDR => CoreAPB_00_PADDRS(4 downto 2),
            PCLK => SYSCLK,
            PENABLE => CoreAPB_00_PENABLES,
            PRESETN => RESETn,
            PSEL => APBmslave1_PSELx,
            PWDATA => CoreAPB_00_PWDATAS(7 downto 0),
            PWRITE => CoreAPB_00_PWRITES,
            RX => RX,
            -- Outputs
            OVERFLOW => open,
            PARITY_ERR => open,
            PRDATA => APBmslave1_PRDATA(7 downto 0),
            RXRDY => UARTRXRDYINT,
            TX => TX,
            TXRDY => open
        );

    -- CortexM1_00
    CortexM1_00 : CortexM1Top
        -- Configuration generics
        generic map(
            DEBUG => 2
        )
        -- Port map
        port map(
            -- Inputs
            EDBGRQ => '0',
            HCLK => SYSCLK,
            HRDATA => Autostitch_AHBmmaster_HRDATA,
            HREADY => Autostitch_AHBmmaster_HREADY,
            HRESP => Autostitch_AHBmmaster_HRESP,
            IRQ0 => iIRQ,
            IRQ1 => '0',
            IRQ10 => '0',
            IRQ11 => '0',
            IRQ12 => '0',
            IRQ13 => '0',
            IRQ14 => '0',
            IRQ15 => '0',
            IRQ16 => '0',
            IRQ17 => '0',
            IRQ18 => '0',
            IRQ19 => '0',
            IRQ2 => '0',
            IRQ20 => '0',
            IRQ21 => '0',
            IRQ22 => '0',
            IRQ23 => '0',
            IRQ24 => '0',
            IRQ25 => '0',
            IRQ26 => '0',
            IRQ27 => '0',
            IRQ28 => '0',
            IRQ29 => '0',
            IRQ3 => '0',
            IRQ30 => '0',
            IRQ31 => '0',
            IRQ4 => '0',
            IRQ5 => '0',
            IRQ6 => '0',
            IRQ7 => '0',
            IRQ8 => '0',
            IRQ9 => '0',
            NMI => '0',
            NSYSRESET => NSYSRESET,
            RV_TCK => '0',
            RV_TDI => '0',
            RV_TMS => '0',
            RV_nSRST_IN => '1',
            RV_nTRST => '1',
            UJTAG_TCK => UJTAG_UJTAG_TCK,
            UJTAG_TDI => UJTAG_UJTAG_TDI,
            UJTAG_TMS => UJTAG_UJTAG_TMS,
            UJTAG_TRSTB => UJTAG_UJTAG_TRSTB,
            WDOGRES => '0',
            -- Outputs
            HADDR => Autostitch_AHBmmaster_HADDR,
            HALTED => open,
            HBURST => Autostitch_AHBmmaster_HBURST,
            HMASTLOCK => open,
            HPROT => Autostitch_AHBmmaster_HPROT,
            HRESETn => RESETn,
            HSIZE => Autostitch_AHBmmaster_HSIZE,
            HTRANS => Autostitch_AHBmmaster_HTRANS,
            HWDATA => Autostitch_AHBmmaster_HWDATA,
            HWRITE => Autostitch_AHBmmaster_HWRITE,
            JTAGTOP => open,
            LOCKUP => open,
            RV_RTCK => open,
            RV_TDOUT => open,
            RV_nTDOEN => open,
            UJTAG_TDO => UJTAG_UJTAG_TDO,
            WDOGRESn => open
        );

end RTL;

