library verilog;
use verilog.vl_types.all;
entity COREUARTapb is
    generic(
        FAMILY          : integer := 15;
        TX_FIFO         : integer := 0;
        RX_FIFO         : integer := 0;
        BAUD_VALUE      : integer := 0;
        FIXEDMODE       : integer := 0;
        PRG_BIT8        : integer := 0;
        PRG_PARITY      : integer := 0
    );
    port(
        PCLK            : in     vl_logic;
        PRESETN         : in     vl_logic;
        PADDR           : in     vl_logic_vector(4 downto 2);
        PSEL            : in     vl_logic;
        PENABLE         : in     vl_logic;
        PWRITE          : in     vl_logic;
        PWDATA          : in     vl_logic_vector(7 downto 0);
        PRDATA          : out    vl_logic_vector(7 downto 0);
        TXRDY           : out    vl_logic;
        RXRDY           : out    vl_logic;
        PARITY_ERR      : out    vl_logic;
        OVERFLOW        : out    vl_logic;
        RX              : in     vl_logic;
        TX              : out    vl_logic
    );
end COREUARTapb;
