module
corepwm
#
(
parameter
PWM_NUM
=
8
,
parameter
PWM_FIXED_REG_SEL
=
0
,
parameter
FIXED_PRESCALE
=
8
,
parameter
FIXED_PERIOD
=
8
,
parameter
FIXED_ENABLE
=
255
,
parameter
FIXED_INT_MASK
=
0
,
parameter
FIXED_PWM1_POSEDGE
=
0
,
parameter
FIXED_PWM1_NEGEDGE
=
0
,
parameter
FIXED_PWM2_POSEDGE
=
0
,
parameter
FIXED_PWM2_NEGEDGE
=
0
,
parameter
FIXED_PWM3_POSEDGE
=
0
,
parameter
FIXED_PWM3_NEGEDGE
=
0
,
parameter
FIXED_PWM4_POSEDGE
=
0
,
parameter
FIXED_PWM4_NEGEDGE
=
0
,
parameter
FIXED_PWM5_POSEDGE
=
0
,
parameter
FIXED_PWM5_NEGEDGE
=
0
,
parameter
FIXED_PWM6_POSEDGE
=
0
,
parameter
FIXED_PWM6_NEGEDGE
=
0
,
parameter
FIXED_PWM7_POSEDGE
=
0
,
parameter
FIXED_PWM7_NEGEDGE
=
0
,
parameter
FIXED_PWM8_POSEDGE
=
0
,
parameter
FIXED_PWM8_NEGEDGE
=
0
)
(
input
PRESET_N,
input
PCLK,
input
PSEL,
input
PENABLE,
input
PWRITE,
input
[
4
:
0
]
PADDR,
input
[
7
:
0
]
PWDATA,
output
[
7
:
0
]
PRDATA,
output
INT,
output
[
PWM_NUM
:
1
]
PWM
)
;
wire
[
7
:
0
]
corepwm_O
,
corepwm_I
,
corepwm_l
;
wire
[
PWM_NUM
-
1
:
0
]
corepwm_OI
,
corepwm_II
,
corepwm_lI
;
wire
[
PWM_NUM
*
8
-
1
:
0
]
corepwm_Ol
,
corepwm_Il
;
wire
corepwm_ll
,
corepwm_O0
;
generate
if
(
PWM_FIXED_REG_SEL
==
1
)
begin
corepwm_I0
#
(
PWM_NUM
,
FIXED_PRESCALE
,
FIXED_PERIOD
,
FIXED_ENABLE
,
FIXED_INT_MASK
,
FIXED_PWM1_POSEDGE
,
FIXED_PWM1_NEGEDGE
,
FIXED_PWM2_POSEDGE
,
FIXED_PWM2_NEGEDGE
,
FIXED_PWM3_POSEDGE
,
FIXED_PWM3_NEGEDGE
,
FIXED_PWM4_POSEDGE
,
FIXED_PWM4_NEGEDGE
,
FIXED_PWM5_POSEDGE
,
FIXED_PWM5_NEGEDGE
,
FIXED_PWM6_POSEDGE
,
FIXED_PWM6_NEGEDGE
,
FIXED_PWM7_POSEDGE
,
FIXED_PWM7_NEGEDGE
,
FIXED_PWM8_POSEDGE
,
FIXED_PWM8_NEGEDGE
)
corepwm_I0
(
.PCLK
(
PCLK
)
,
.PRESET_N
(
PRESET_N
)
,
.PSEL
(
PSEL
)
,
.PENABLE
(
PENABLE
)
,
.PWRITE
(
PWRITE
)
,
.PADDR
(
PADDR
)
,
.PWDATA
(
PWDATA
)
,
.PRDATA
(
PRDATA
)
,
.corepwm_l
(
corepwm_l
)
,
.corepwm_I
(
corepwm_I
)
,
.corepwm_O
(
corepwm_O
)
,
.corepwm_lI
(
corepwm_lI
)
,
.corepwm_Ol
(
corepwm_Ol
)
,
.corepwm_Il
(
corepwm_Il
)
,
.corepwm_OI
(
corepwm_OI
)
,
.corepwm_II
(
corepwm_II
)
,
.corepwm_ll
(
corepwm_ll
)
)
;
end
else
begin
corepwm_l0
#
(
PWM_NUM
)
corepwm_l0
(
.PCLK
(
PCLK
)
,
.PRESET_N
(
PRESET_N
)
,
.PSEL
(
PSEL
)
,
.PENABLE
(
PENABLE
)
,
.PWRITE
(
PWRITE
)
,
.PADDR
(
PADDR
)
,
.PWDATA
(
PWDATA
)
,
.PRDATA
(
PRDATA
)
,
.corepwm_l
(
corepwm_l
)
,
.corepwm_I
(
corepwm_I
)
,
.corepwm_O
(
corepwm_O
)
,
.corepwm_lI
(
corepwm_lI
)
,
.corepwm_Ol
(
corepwm_Ol
)
,
.corepwm_Il
(
corepwm_Il
)
,
.corepwm_OI
(
corepwm_OI
)
,
.corepwm_II
(
corepwm_II
)
,
.corepwm_ll
(
corepwm_ll
)
,
.corepwm_O0
(
corepwm_O0
)
)
;
end
endgenerate
corepwm_O1
corepwm_O1
(
.PCLK
(
PCLK
)
,
.PRESET_N
(
PRESET_N
)
,
.corepwm_O
(
corepwm_O
)
,
.corepwm_I
(
corepwm_I
)
,
.corepwm_l
(
corepwm_l
)
,
.corepwm_O0
(
corepwm_O0
)
)
;
corepwm_I1
#
(
PWM_NUM
)
corepwm_I1
(
.PCLK
(
PCLK
)
,
.PRESET_N
(
PRESET_N
)
,
.INT
(
INT
)
,
.PWM
(
PWM
)
,
.corepwm_l
(
corepwm_l
)
,
.corepwm_lI
(
corepwm_lI
)
,
.corepwm_Ol
(
corepwm_Ol
)
,
.corepwm_Il
(
corepwm_Il
)
,
.corepwm_OI
(
corepwm_OI
)
,
.corepwm_II
(
corepwm_II
)
,
.corepwm_ll
(
corepwm_ll
)
,
.corepwm_O0
(
corepwm_O0
)
)
;
endmodule
