module
corepwm_I0
#
(
parameter
PWM_NUM
=
8
,
parameter
FIXED_PRESCALE
=
8
,
parameter
FIXED_PERIOD
=
8
,
parameter
FIXED_ENABLE
=
255
,
parameter
FIXED_INT_MASK
=
0
,
parameter
FIXED_PWM1_POSEDGE
=
1
,
parameter
FIXED_PWM1_NEGEDGE
=
2
,
parameter
FIXED_PWM2_POSEDGE
=
3
,
parameter
FIXED_PWM2_NEGEDGE
=
4
,
parameter
FIXED_PWM3_POSEDGE
=
5
,
parameter
FIXED_PWM3_NEGEDGE
=
6
,
parameter
FIXED_PWM4_POSEDGE
=
7
,
parameter
FIXED_PWM4_NEGEDGE
=
8
,
parameter
FIXED_PWM5_POSEDGE
=
9
,
parameter
FIXED_PWM5_NEGEDGE
=
10
,
parameter
FIXED_PWM6_POSEDGE
=
11
,
parameter
FIXED_PWM6_NEGEDGE
=
12
,
parameter
FIXED_PWM7_POSEDGE
=
13
,
parameter
FIXED_PWM7_NEGEDGE
=
14
,
parameter
FIXED_PWM8_POSEDGE
=
15
,
parameter
FIXED_PWM8_NEGEDGE
=
16
)
(
input
PCLK,
input
PRESET_N,
input
PSEL,
input
PENABLE,
input
PWRITE,
input
[
4
:
0
]
PADDR,
input
[
7
:
0
]
PWDATA,
output
reg
[
7
:
0
]
PRDATA,
input
[
7
:
0
]
corepwm_l,
output
[
7
:
0
]
corepwm_I,
output
[
7
:
0
]
corepwm_O,
output
[
PWM_NUM
-
1
:
0
]
corepwm_lI,
output
reg
[
8
*
8
-
1
:
0
]
corepwm_Ol,
output
reg
[
8
*
8
-
1
:
0
]
corepwm_Il,
input
[
PWM_NUM
-
1
:
0
]
corepwm_OI,
output
[
PWM_NUM
-
1
:
0
]
corepwm_II,
output
corepwm_ll
)
;
wire
[
3
:
0
]
corepwm_l1
;
assign
corepwm_l1
=
PWM_NUM
;
always
@
*
begin
case
(
corepwm_l1
)
1
:
corepwm_Ol
[
63
:
0
]
=
{
56
'h
0000_0000_0000_00
,
FIXED_PWM1_POSEDGE
[
7
:
0
]
}
;
2
:
corepwm_Ol
[
63
:
0
]
=
{
48
'h
0000_0000_0000
,
FIXED_PWM2_POSEDGE
[
7
:
0
]
,
FIXED_PWM1_POSEDGE
[
7
:
0
]
}
;
3
:
corepwm_Ol
[
63
:
0
]
=
{
40
'h
0000_0000_00
,
FIXED_PWM3_POSEDGE
[
7
:
0
]
,
FIXED_PWM2_POSEDGE
[
7
:
0
]
,
FIXED_PWM1_POSEDGE
[
7
:
0
]
}
;
4
:
corepwm_Ol
[
63
:
0
]
=
{
32
'h
0000_0000
,
FIXED_PWM4_POSEDGE
[
7
:
0
]
,
FIXED_PWM3_POSEDGE
[
7
:
0
]
,
FIXED_PWM2_POSEDGE
[
7
:
0
]
,
FIXED_PWM1_POSEDGE
[
7
:
0
]
}
;
5
:
corepwm_Ol
[
63
:
0
]
=
{
24
'h
0000_00
,
FIXED_PWM5_POSEDGE
[
7
:
0
]
,
FIXED_PWM4_POSEDGE
[
7
:
0
]
,
FIXED_PWM3_POSEDGE
[
7
:
0
]
,
FIXED_PWM2_POSEDGE
[
7
:
0
]
,
FIXED_PWM1_POSEDGE
[
7
:
0
]
}
;
6
:
corepwm_Ol
[
63
:
0
]
=
{
16
'h
0000
,
FIXED_PWM6_POSEDGE
[
7
:
0
]
,
FIXED_PWM5_POSEDGE
[
7
:
0
]
,
FIXED_PWM4_POSEDGE
[
7
:
0
]
,
FIXED_PWM3_POSEDGE
[
7
:
0
]
,
FIXED_PWM2_POSEDGE
[
7
:
0
]
,
FIXED_PWM1_POSEDGE
[
7
:
0
]
}
;
7
:
corepwm_Ol
[
63
:
0
]
=
{
8
'h
00
,
FIXED_PWM7_POSEDGE
[
7
:
0
]
,
FIXED_PWM6_POSEDGE
[
7
:
0
]
,
FIXED_PWM5_POSEDGE
[
7
:
0
]
,
FIXED_PWM4_POSEDGE
[
7
:
0
]
,
FIXED_PWM3_POSEDGE
[
7
:
0
]
,
FIXED_PWM2_POSEDGE
[
7
:
0
]
,
FIXED_PWM1_POSEDGE
[
7
:
0
]
}
;
8
:
corepwm_Ol
[
63
:
0
]
=
{
FIXED_PWM8_POSEDGE
[
7
:
0
]
,
FIXED_PWM7_POSEDGE
[
7
:
0
]
,
FIXED_PWM6_POSEDGE
[
7
:
0
]
,
FIXED_PWM5_POSEDGE
[
7
:
0
]
,
FIXED_PWM4_POSEDGE
[
7
:
0
]
,
FIXED_PWM3_POSEDGE
[
7
:
0
]
,
FIXED_PWM2_POSEDGE
[
7
:
0
]
,
FIXED_PWM1_POSEDGE
[
7
:
0
]
}
;
default
:
corepwm_Ol
[
63
:
0
]
=
{
FIXED_PWM8_POSEDGE
[
7
:
0
]
,
FIXED_PWM7_POSEDGE
[
7
:
0
]
,
FIXED_PWM6_POSEDGE
[
7
:
0
]
,
FIXED_PWM5_POSEDGE
[
7
:
0
]
,
FIXED_PWM4_POSEDGE
[
7
:
0
]
,
FIXED_PWM3_POSEDGE
[
7
:
0
]
,
FIXED_PWM2_POSEDGE
[
7
:
0
]
,
FIXED_PWM1_POSEDGE
[
7
:
0
]
}
;
endcase
end
always
@
*
begin
case
(
corepwm_l1
)
1
:
corepwm_Il
[
63
:
0
]
=
{
56
'h
0000_0000_0000_00
,
FIXED_PWM1_NEGEDGE
[
7
:
0
]
}
;
2
:
corepwm_Il
[
63
:
0
]
=
{
48
'h
0000_0000_0000
,
FIXED_PWM2_NEGEDGE
[
7
:
0
]
,
FIXED_PWM1_NEGEDGE
[
7
:
0
]
}
;
3
:
corepwm_Il
[
63
:
0
]
=
{
40
'h
0000_0000_00
,
FIXED_PWM3_NEGEDGE
[
7
:
0
]
,
FIXED_PWM2_NEGEDGE
[
7
:
0
]
,
FIXED_PWM1_NEGEDGE
[
7
:
0
]
}
;
4
:
corepwm_Il
[
63
:
0
]
=
{
32
'h
0000_0000
,
FIXED_PWM4_NEGEDGE
[
7
:
0
]
,
FIXED_PWM3_NEGEDGE
[
7
:
0
]
,
FIXED_PWM2_NEGEDGE
[
7
:
0
]
,
FIXED_PWM1_NEGEDGE
[
7
:
0
]
}
;
5
:
corepwm_Il
[
63
:
0
]
=
{
24
'h
0000_00
,
FIXED_PWM5_NEGEDGE
[
7
:
0
]
,
FIXED_PWM4_NEGEDGE
[
7
:
0
]
,
FIXED_PWM3_NEGEDGE
[
7
:
0
]
,
FIXED_PWM2_NEGEDGE
[
7
:
0
]
,
FIXED_PWM1_NEGEDGE
[
7
:
0
]
}
;
6
:
corepwm_Il
[
63
:
0
]
=
{
16
'h
0000
,
FIXED_PWM6_NEGEDGE
[
7
:
0
]
,
FIXED_PWM5_NEGEDGE
[
7
:
0
]
,
FIXED_PWM4_NEGEDGE
[
7
:
0
]
,
FIXED_PWM3_NEGEDGE
[
7
:
0
]
,
FIXED_PWM2_NEGEDGE
[
7
:
0
]
,
FIXED_PWM1_NEGEDGE
[
7
:
0
]
}
;
7
:
corepwm_Il
[
63
:
0
]
=
{
8
'h
00
,
FIXED_PWM7_NEGEDGE
[
7
:
0
]
,
FIXED_PWM6_NEGEDGE
[
7
:
0
]
,
FIXED_PWM5_NEGEDGE
[
7
:
0
]
,
FIXED_PWM4_NEGEDGE
[
7
:
0
]
,
FIXED_PWM3_NEGEDGE
[
7
:
0
]
,
FIXED_PWM2_NEGEDGE
[
7
:
0
]
,
FIXED_PWM1_NEGEDGE
[
7
:
0
]
}
;
8
:
corepwm_Il
[
63
:
0
]
=
{
FIXED_PWM8_NEGEDGE
[
7
:
0
]
,
FIXED_PWM7_NEGEDGE
[
7
:
0
]
,
FIXED_PWM6_NEGEDGE
[
7
:
0
]
,
FIXED_PWM5_NEGEDGE
[
7
:
0
]
,
FIXED_PWM4_NEGEDGE
[
7
:
0
]
,
FIXED_PWM3_NEGEDGE
[
7
:
0
]
,
FIXED_PWM2_NEGEDGE
[
7
:
0
]
,
FIXED_PWM1_NEGEDGE
[
7
:
0
]
}
;
default
:
corepwm_Il
[
63
:
0
]
=
{
FIXED_PWM8_NEGEDGE
[
7
:
0
]
,
FIXED_PWM7_NEGEDGE
[
7
:
0
]
,
FIXED_PWM6_NEGEDGE
[
7
:
0
]
,
FIXED_PWM5_NEGEDGE
[
7
:
0
]
,
FIXED_PWM4_NEGEDGE
[
7
:
0
]
,
FIXED_PWM3_NEGEDGE
[
7
:
0
]
,
FIXED_PWM2_NEGEDGE
[
7
:
0
]
,
FIXED_PWM1_NEGEDGE
[
7
:
0
]
}
;
endcase
end
assign
corepwm_I
=
FIXED_PERIOD
;
assign
corepwm_O
=
FIXED_PRESCALE
;
assign
corepwm_lI
=
FIXED_ENABLE
;
assign
corepwm_II
=
FIXED_INT_MASK
;
always
@
*
begin
case
(
PADDR
)
5
'h
00
:
PRDATA
=
corepwm_O
;
5
'h
01
:
PRDATA
=
corepwm_I
;
5
'h
02
:
PRDATA
=
corepwm_lI
;
5
'h
03
:
PRDATA
=
corepwm_II
;
5
'h
04
:
PRDATA
=
corepwm_OI
;
5
'h
05
:
PRDATA
=
corepwm_Ol
[
0
*
8
+
(
7
)
:
0
*
8
]
;
5
'h
06
:
PRDATA
=
corepwm_Il
[
0
*
8
+
(
7
)
:
0
*
8
]
;
5
'h
07
:
PRDATA
=
corepwm_Ol
[
1
*
8
+
(
7
)
:
1
*
8
]
;
5
'h
08
:
PRDATA
=
corepwm_Il
[
1
*
8
+
(
7
)
:
1
*
8
]
;
5
'h
09
:
PRDATA
=
corepwm_Ol
[
2
*
8
+
(
7
)
:
2
*
8
]
;
5
'h
0a
:
PRDATA
=
corepwm_Il
[
2
*
8
+
(
7
)
:
2
*
8
]
;
5
'h
0b
:
PRDATA
=
corepwm_Ol
[
3
*
8
+
(
7
)
:
3
*
8
]
;
5
'h
0c
:
PRDATA
=
corepwm_Il
[
3
*
8
+
(
7
)
:
3
*
8
]
;
5
'h
0d
:
PRDATA
=
corepwm_Ol
[
4
*
8
+
(
7
)
:
4
*
8
]
;
5
'h
0e
:
PRDATA
=
corepwm_Il
[
4
*
8
+
(
7
)
:
4
*
8
]
;
5
'h
0f
:
PRDATA
=
corepwm_Ol
[
5
*
8
+
(
7
)
:
5
*
8
]
;
5
'h
10
:
PRDATA
=
corepwm_Il
[
5
*
8
+
(
7
)
:
5
*
8
]
;
5
'h
11
:
PRDATA
=
corepwm_Ol
[
6
*
8
+
(
7
)
:
6
*
8
]
;
5
'h
12
:
PRDATA
=
corepwm_Il
[
6
*
8
+
(
7
)
:
6
*
8
]
;
5
'h
13
:
PRDATA
=
corepwm_Ol
[
7
*
8
+
(
7
)
:
7
*
8
]
;
5
'h
14
:
PRDATA
=
corepwm_Il
[
7
*
8
+
(
7
)
:
7
*
8
]
;
default
:
PRDATA
=
8
'h
00
;
endcase
end
assign
corepwm_ll
=
(
(
PENABLE
==
1
'b
1
)
&&
(
PADDR
==
5
'h
04
)
)
?
1
'b
1
:
1
'b
0
;
endmodule
