module
corepwm_I1
#
(
parameter
PWM_NUM
=
8
)
(
input
PRESET_N,
input
PCLK,
output
reg
INT,
output
[
PWM_NUM
:
1
]
PWM,
input
[
7
:
0
]
corepwm_l,
input
[
PWM_NUM
-
1
:
0
]
corepwm_lI,
input
[
PWM_NUM
*
8
-
1
:
0
]
corepwm_Ol,
input
[
PWM_NUM
*
8
-
1
:
0
]
corepwm_Il,
output
reg
[
PWM_NUM
-
1
:
0
]
corepwm_OI,
input
[
PWM_NUM
-
1
:
0
]
corepwm_II,
input
corepwm_ll,
input
corepwm_O0
)
;
reg
[
PWM_NUM
-
1
:
0
]
corepwm_OOI
;
reg
[
PWM_NUM
-
1
:
0
]
corepwm_IOI
;
reg
corepwm_lOI
;
assign
PWM
[
PWM_NUM
:
1
]
=
corepwm_OOI
[
PWM_NUM
-
1
:
0
]
;
genvar
corepwm_OII
;
generate
for
(
corepwm_OII
=
0
;
corepwm_OII
<
PWM_NUM
;
corepwm_OII
=
corepwm_OII
+
1
)
begin
:
corepwm_III
always
@
(
negedge
PRESET_N
or
posedge
PCLK
)
begin
if
(
!
PRESET_N
)
begin
corepwm_OOI
[
corepwm_OII
]
<=
1
'b
0
;
end
else
begin
if
(
corepwm_lI
[
corepwm_OII
]
==
1
'b
0
)
begin
corepwm_OOI
[
corepwm_OII
]
<=
1
'b
0
;
end
else
if
(
(
corepwm_lI
[
corepwm_OII
]
==
1
'b
1
)
&&
(
corepwm_O0
==
1
'b
1
)
)
begin
if
(
(
corepwm_Ol
[
corepwm_OII
*
8
+
(
7
)
:
corepwm_OII
*
8
]
==
corepwm_Il
[
corepwm_OII
*
8
+
(
7
)
:
corepwm_OII
*
8
]
)
&&
(
(
corepwm_Ol
[
corepwm_OII
*
8
+
(
7
)
:
corepwm_OII
*
8
]
)
==
corepwm_l
)
)
begin
corepwm_OOI
[
corepwm_OII
]
<=
~
corepwm_OOI
[
corepwm_OII
]
;
end
else
if
(
(
corepwm_lI
[
corepwm_OII
]
==
1
'b
1
)
&&
(
corepwm_O0
==
1
'b
1
)
&&
(
corepwm_Ol
[
corepwm_OII
*
8
+
(
7
)
:
corepwm_OII
*
8
]
)
==
corepwm_l
)
begin
corepwm_OOI
[
corepwm_OII
]
<=
1
'b
1
;
end
else
if
(
(
corepwm_lI
[
corepwm_OII
]
==
1
'b
1
)
&&
(
corepwm_O0
==
1
'b
1
)
&&
(
corepwm_Il
[
corepwm_OII
*
8
+
(
7
)
:
corepwm_OII
*
8
]
)
==
corepwm_l
)
begin
corepwm_OOI
[
corepwm_OII
]
<=
1
'b
0
;
end
end
end
end
end
endgenerate
generate
for
(
corepwm_OII
=
0
;
corepwm_OII
<
PWM_NUM
;
corepwm_OII
=
corepwm_OII
+
1
)
begin
:
corepwm_lII
always
@
(
negedge
PRESET_N
or
posedge
PCLK
)
begin
if
(
!
PRESET_N
)
begin
corepwm_IOI
[
corepwm_OII
]
<=
1
'b
0
;
corepwm_OI
[
corepwm_OII
]
<=
1
'b
0
;
end
else
begin
if
(
(
corepwm_lOI
==
1
'b
1
)
&&
(
corepwm_ll
==
1
'b
0
)
)
begin
corepwm_OI
[
corepwm_OII
]
<=
1
'b
0
;
end
else
if
(
corepwm_lI
[
corepwm_OII
]
==
1
'b
0
)
begin
corepwm_OI
[
corepwm_OII
]
<=
1
'b
0
;
end
else
if
(
corepwm_II
[
corepwm_OII
]
==
1
'b
0
)
begin
corepwm_IOI
[
corepwm_OII
]
<=
corepwm_OOI
[
corepwm_OII
]
;
if
(
corepwm_IOI
[
corepwm_OII
]
^
corepwm_OOI
[
corepwm_OII
]
==
1
'b
1
)
begin
corepwm_OI
[
corepwm_OII
]
<=
1
'b
1
;
end
end
end
end
end
endgenerate
always
@
(
corepwm_OI
[
PWM_NUM
-
1
:
0
]
)
case
(
PWM_NUM
)
8
:
INT
=
corepwm_OI
[
0
]
|
corepwm_OI
[
1
]
|
corepwm_OI
[
2
]
|
corepwm_OI
[
3
]
|
corepwm_OI
[
4
]
|
corepwm_OI
[
5
]
|
corepwm_OI
[
6
]
|
corepwm_OI
[
7
]
;
7
:
INT
=
corepwm_OI
[
0
]
|
corepwm_OI
[
1
]
|
corepwm_OI
[
2
]
|
corepwm_OI
[
3
]
|
corepwm_OI
[
4
]
|
corepwm_OI
[
5
]
|
corepwm_OI
[
6
]
;
6
:
INT
=
corepwm_OI
[
0
]
|
corepwm_OI
[
1
]
|
corepwm_OI
[
2
]
|
corepwm_OI
[
3
]
|
corepwm_OI
[
4
]
|
corepwm_OI
[
5
]
;
5
:
INT
=
corepwm_OI
[
0
]
|
corepwm_OI
[
1
]
|
corepwm_OI
[
2
]
|
corepwm_OI
[
3
]
|
corepwm_OI
[
4
]
;
4
:
INT
=
corepwm_OI
[
0
]
|
corepwm_OI
[
1
]
|
corepwm_OI
[
2
]
|
corepwm_OI
[
3
]
;
3
:
INT
=
corepwm_OI
[
0
]
|
corepwm_OI
[
1
]
|
corepwm_OI
[
2
]
;
2
:
INT
=
corepwm_OI
[
0
]
|
corepwm_OI
[
1
]
;
1
:
INT
=
corepwm_OI
[
0
]
;
endcase
always
@
(
negedge
PRESET_N
or
posedge
PCLK
)
if
(
!
PRESET_N
)
corepwm_lOI
<=
1
'b
0
;
else
corepwm_lOI
<=
corepwm_ll
;
endmodule
