//**********************************************************************
// This code was created by SoC Solutions and is free for use with     *
// Actel products.  For support e-mail support@socsolutions.com.       *
//**********************************************************************

// These definitions are for the Interrupt Controller registers for the Actel Fusion devices.

#ifndef __APB_INTERRUPT_DEFINES_H
#define __APB_INTERRUPT_DEFINES_H	1

#define INTERRUPT_FIQSOFTINT_OFFSET     0x00
#define INTERRUPT_FIQSOFTINTCLR_OFFSET  0x04
#define INTERRUPT_FIQENABLE_OFFSET      0x08
#define INTERRUPT_FIQENABLECLR_OFFSET   0x0C
#define INTERRUPT_FIQRAWSTATUS_OFFSET   0x10
#define INTERRUPT_FIQSTATUS_OFFSET      0x14

#define INTERRUPT_IRQSOFTINT_OFFSET     0x18
#define INTERRUPT_IRQSOFTINTCLR_OFFSET  0x1C
#define INTERRUPT_IRQENABLE_OFFSET      0x20
#define INTERRUPT_IRQENABLECLR_OFFSET   0x24
#define INTERRUPT_IRQRAWSTATUS_OFFSET   0x28
#define INTERRUPT_IRQSTATUS_OFFSET      0x2C

#endif

